export const FormatsData: {[k: string]: ModdedSpeciesFormatsData} = {
	// Slate 1
	volquag: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["recover", "scald", "toxic", "flamethrower", "defog", "scorchingsands"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "steameruption", "heatwave", "muddywater", "fireblast"],
		randomDoubleBattleLevel: 100,
	},
	toxalure: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["scald", "toxic", "recover", "hex", "toxicspikes", "calmmind"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["banefulbunker", "scald", "muddywater", "toxicspikes", "recover"],
		randomDoubleBattleLevel: 100,
	},
	kingtsar: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["powerwhip", "liquidation", "knockoff", "rapidspin", "swordsdance", "uturn", "tripleaxel"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "powerwhip", "uturn", "liquidation", "rapidspin", "tripleaxel"],
		randomDoubleBattleLevel: 100,
	},
	tanette: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["leechseed", "gigadrain", "moonblast", "synthesis", "knockoff", "sleeppowder"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "ragepowder", "leechseed", "dazzlinggleam", "gigadrain"],
		randomDoubleBattleLevel: 100,
	},
	slowton: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["voltswitch", "sludgebomb", "slackoff", "flamethrower", "calmmind", "scald", "icebeam"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "voltswitch", "sludgebomb", "thunderbolt", "trickroom", "fireblast"],
		randomDoubleBattleLevel: 100,
	},
	// Slate 2
	flaant: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["firstimpression", "gravapple", "uturn", "superpower", "stompingtantrum"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "firstimpression", "uturn", "gravapple", "superpower"],
		randomDoubleBattleLevel: 100,
	},
	umbat: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["roost", "foulplay", "defog", "uturn", "wish", "protect", "haze", "taunt"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "foulplay", "uturn", "charm", "helpinghand", "taunt"],
		randomDoubleBattleLevel: 100,
	},
	chomplim: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["stealthrock", "earthquake", "strengthsap", "stoneedge", "swordsdance", "willowisp"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "shadowball", "earthpower", "willowisp", "stealthrock"],
		randomDoubleBattleLevel: 100,
	},
	chomplimmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["stealthrock", "earthpower", "strengthsap", "shadowball", "stoneedge", "fireblast", "willowisp"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "shadowball", "earthpower", "rockslide", "willowisp"],
		randomDoubleBattleLevel: 100,
	},
	xotalion: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["stealthrock", "uturn", "roost", "psychic", "heatwave", "flashcannon", "defog"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "psychic", "calmmind", "flashcannon", "focusblast"],
		randomDoubleBattleLevel: 100,
	},
	miemie: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["uturn", "knockoff", "closecombat", "rapidspin", "poisonjab", "trick"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["fakeout", "closecombat", "uturn", "knockoff", "poisonjab"],
		randomDoubleBattleLevel: 100,
	},
	dusking: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["slackoff", "poltergeist", "shadowsneak", "eeriespell", "drainpunch", "willowisp"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "poltergeist", "shadowsneak", "eeriespell"],
		randomDoubleBattleLevel: 100,
	},
	jelliswine: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["stealthrock", "earthpower", "hex", "strengthsap", "willowisp", "knockoff"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "earthpower", "strengthsap", "poltergeist", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	// Slate 3
	pigapult: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["dragondarts", "dragondance", "flareblitz", "uturn", "willowisp"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "heatwave", "dracometeor", "uturn", "fireblast"],
		randomDoubleBattleLevel: 100,
	},
	silvino: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["bodyslam", "wish", "protect", "partingshot", "knockoff", "toxic", "healbell", "explosion"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "trickroom", "multiattack", "partingshot", "knockoff"],
		randomDoubleBattleLevel: 100,
	},
	silvinomega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "protect", "dazzlinggleam", "healbell", "partingshot", "defog"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dazzlinggleam", "hypervoice", "trickroom", "partingshot", "helpinghand"],
		randomDoubleBattleLevel: 100,
	},
	lycanserkerdusk: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["closecombat", "ironhead", "stoneedge", "accelerock", "swordsdance", "uturn", "stealthrock"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "closecombat", "ironhead", "rockslide", "uturn"],
		randomDoubleBattleLevel: 100,
	},
	tapulop: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["moonblast", "uturn", "focusblast", "switcheroo", "taunt", "healingwish"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "moonblast", "uturn", "dazzlinggleam", "focusblast"],
		randomDoubleBattleLevel: 100,
	},
	tapulopmega: {
		tier: "UU",
		doublesTier: "DBL",
	},
	dragontler: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["dragondance", "earthquake", "roost", "extremespeed", "dualwingbeat"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dragondance", "extremespeed", "dualwingbeat", "firepunch"],
		randomDoubleBattleLevel: 100,
	},
	eternabat: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["nastyplot", "dynamaxcannon", "airslash", "flamethrower", "roost", "uturn"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dynamaxcannon", "tailwind", "heatwave", "airslash"],
		randomDoubleBattleLevel: 100,
	},
	// slate 4
	grimmlurk: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["playrough", "stealthrock", "lightscreen", "poltergeist", "reflect", "thunderwave"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["poltergeist", "playrough", "lightscreen", "reflect", "stealthrock"],
		randomDoubleBattleLevel: 100,
	},
	manicunogalar: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["icebeam", "freezedry", "freezingglare", "flamethrower", "psyshock", "uturn"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["icebeam", "freezingglare", "heatwave", "blizzard", "uturn", "fireblast"],
		randomDoubleBattleLevel: 100,
	},
	yaciancrowned: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["earthquake", "swordsdance", "ironhead", "rockslide", "stealthrock", "toxicspikes"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "behemothbash", "rockslide", "earthquake", "stealthrock", "swordsdance"],
		randomDoubleBattleLevel: 100,
	},
	cryogolem: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["doubleedge", "explosion", "rapidspin", "stealthrock", "tripleaxel", "iceshard", "voltswitch"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "iceshard", "doubleedge", "tripleaxel"],
		randomDoubleBattleLevel: 100,
	},
	stoudrago: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["dragondance", "outrage", "bodyslam", "superpower", "explosion"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dragonclaw", "dragondance", "superpower", "bodyslam"],
		randomDoubleBattleLevel: 100,
	},
	// slate 5
	dongoro: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["earthquake", "knockoff", "rapidspin", "stealthrock", "swordsdance", "partingshot", "gunkshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "knockoff", "earthquake", "partingshot", "gunkshot", "rapidspin"],
		randomDoubleBattleLevel: 100,
	},
	slurpum: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["playrough", "drainpunch", "spore", "machpunch", "swordsdance", "stickyweb"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "stickyweb", "playrough", "drainpunch", "spore"],
		randomDoubleBattleLevel: 100,
	},
	grousle: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["earthpower", "thunderbolt", "voltswitch", "flamethrower", "stealthrock", "nastyplot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "earthpower", "thunderbolt", "voltswitch", "fireblast"],
		randomDoubleBattleLevel: 100,
	},
	grousleprimal: {
		tier: "UU",
		doublesTier: "DBL",
	},
	// slate 6
	corveot: {
		tier: "UU",
		doublesTier: "DUU",
	},
	corveotmega: {
		tier: "UU",
		doublesTier: "DUU",
	},
	igglyzentacrowned: {
		tier: "UU",
		doublesTier: "DUU",
	},
	arctresgalar: {
		tier: "UU",
		doublesTier: "DUU",
	},
	garborude: {
		tier: "UU",
		doublesTier: "DUU",
	},
	noicity: {
		tier: "UU",
		doublesTier: "DUU",
	},
	ferros: {
		tier: "UU",
		doublesTier: "DUU",
	},
	// slate 7
	landmaldotherian: {
		tier: "UU",
		doublesTier: "DUU",
	},
	tentoxysdefense: {
		tier: "UU",
		doublesTier: "DUU",
	},
	strikadosgalar: {
		tier: "UU",
		doublesTier: "DUU",
	},
	hooporant: {
		tier: "UU",
		doublesTier: "DUU",
	},
	// Silvino Nightmare Hours
	// on god whose fucking idea was this
	silvinobug: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["uturn", "wish", "protect", "defog", "healbell", "knockoff"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "trickroom", "uturn", "healpulse", "helpinghand"],
		randomDoubleBattleLevel: 100,
	},
	silvinobugmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["uturn", "wish", "protect", "dazzlinggleam", "healbell"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "trickroom", "uturn", "dazzlinggleam", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinodark: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["knockoff", "wish", "protect", "healbell", "uturn"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "knockoff", "healpulse", "helpinghand", "partingshot"],
		randomDoubleBattleLevel: 100,
	},
	silvinodarkmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["knockoff", "dazzlinggleam", "wish", "protect"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "snarl", "dazzlinggleam", "healpulse", "helpinghand"],
		randomDoubleBattleLevel: 100,
	},
	silvinodragon: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["dracometeor", "wish", "protect", "partingshot", "flamethrower"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dracometeor", "helpinghand", "healpulse", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinodragonmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["dazzlinggleam", "wish", "protect", "flamethrower", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "wish", "dazzlinggleam", "partingshot", "healpulse", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinoelectric: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "thunderbolt", "protect", "icebeam", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "thunderbolt", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinoelectricmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "thunderbolt", "protect", "dazzlinggleam", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "thunderbolt", "dazzlinggleam", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinofairy: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "dazzlinggleam", "protect", "healbell", "partingshot", "defog"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "dazzlinggleam", "flamethrower", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinofairymega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "dazzlinggleam", "protect", "partingshot", "healbell"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "dazzlinggleam", "healpulse", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinofighting: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["drainpunch", "knockoff", "swordsdance", "ironhead", "uturn"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "drainpunch", "healpulse", "partingshot", "helpinghand", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinofightingmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "dazzlinggleam", "protect", "drainpunch", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "dazzlinggleam", "healpulse", "helpinghand", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinofire: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "flamethrower", "protect", "partingshot", "healbell", "toxic"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "fireblast", "heatwave", "partingshot", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinofiremega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "flamethrower", "protect", "drainingkiss", "calmmind"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "heatwave", "dazzlinggleam", "fireblast", "calmmind", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinoflying: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "airslash", "protect", "healbell", "flamethrower", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "airslash", "trickroom", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinoflyingmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "airslash", "protect", "dazzlinggleam", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "airslash", "dazzlinggleam", "trickroom", "helpinghand", "healbell"],
		randomDoubleBattleLevel: 100,
	},
	silvinoghost: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "shadowball", "protect", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "shadowball", "healpulse", "helpinghand", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinoghostmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "shadowball", "protect", "drainingkiss", "calmmind", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "shadowball", "dazzlinggleam", "calmmind", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinograss: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "grassknot", "protect", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "grassknot", "healpulse", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinograssmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "grassknot", "protect", "dazzlinggleam", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "grassknot", "dazzlinggleam", "healpulse", "helpinghand"],
		randomDoubleBattleLevel: 100,
	},
	silvinoground: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "stompingtantrum", "protect", "icebeam", "healbell", "partingshot", "toxic"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dig", "healpulse", "flamethrower", "helpinghand", "trickroom", "toxic"],
		randomDoubleBattleLevel: 100,
	},
	silvinogroundmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "dazzlinggleam", "protect", "stompingtantrum", "healbell", "partingshot", "flamethrower"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "dazzlinggleam", "dig", "healpulse", "trickroom"],
		randomDoubleBattleLevel: 100,
	},
	silvinoice: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "icebeam", "protect", "thunderbolt", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "blizzard", "thunderbolt", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinoicemega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "icebeam", "protect", "dazzlinggleam", "healbell", "partingshot", "flamethrower"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "blizzard", "dazzlinggleam", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinopoison: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "poisonfang", "protect", "knockoff", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "healpulse", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinopoisonmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "drainingkiss", "protect", "calmmind", "flamethrower", "irondefense"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dazzlinggleam", "healpulse", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinopsychic: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "psychic", "protect", "flamethrower", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "psychic", "flamethrower", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinopsychicmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["calmmind", "psyshock", "drainingkiss", "flamethrower"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "psychic", "dazzlinggleam", "flamethrower", "helpinghand", "healpulse"],
		randomDoubleBattleLevel: 100,
	},
	silvinorock: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["swordsdance", "rockslide", "stompingtantrum", "drainpunch", "uturn", "knockoff"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "rockslide", "trickroom", "stompingtantrum"],
		randomDoubleBattleLevel: 100,
	},
	silvinorockmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "dazzlinggleam", "protect", "rockslide", "flamethrower", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "dazzlinggleam", "rockslide", "trickroom", "heatwave"],
		randomDoubleBattleLevel: 100,
	},
	silvinosteel: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "flashcannon", "protect", "calmmind", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "flashcannon", "waterpledge", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinosteelmega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "flashcannon", "protect", "calmmind", "drainingkiss", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "flashcannon", "dazzlinggleam", "wish", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinowater: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "surf", "protect", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "waterpledge", "healpulse", "icywind", "helpinghand", "flamethrower"],
		randomDoubleBattleLevel: 100,
	},
	silvinowatermega: {
		tier: "UU",
		doublesTier: "DUU",
		randomBattleMoves: ["wish", "surf", "protect", "dazzlinggleam", "healbell", "partingshot"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["protect", "partingshot", "waterpledge", "icywind", "helpinghand", "dazzlinggleam"],
		randomDoubleBattleLevel: 100,
	},
};
