import type {Translations} from '../../server/chat';

export const translations: Translations = {
	strings: {
		"Hello! The global staff team would be happy to help you, but you need to explain what's going on first.": "Hallo! Das globale Staff-Team hilft dir gerne weiter, jedoch musst du uns zunächst erklären, was passiert ist.",
		"Please post the information I requested above so a global staff member can come to help.": "Bitte schicke mir die Information, nach der ich oben gefragt habe, sodass ein globales Staffmitglied kommen kann, um dir zu helfen.",
		"Thank you for the information, global staff will be here shortly. Please stay in the room.": "Danke für deinen Bericht, ein globales Staffmitglied wird gleich hier sein. Bitte bleibe in diesem Raum.",
		"You are banned from creating tickets": "Dir wurde das Recht entzogen, Help-Tickets zu erstellen.",
		", because you have the same IP as ${ticket.banned}.": ", da du die selbe IP wie ${ticket.banned} hast.",
		"Request help from global staff": "Fordere Hilfe vom globalen Staff an",
		"Please <button name=\"login\" class=\"button\">Log In</button> to request help.": "Bitte klicke vorher auf <button name=\"login\" class=\"button\">Log In</button> um Hilfe anzufordern.",
		"Request Help": "Hilfe anfordern",
		"You already have a Help ticket.": "Du hast bereits ein Help-Ticket.",
		"Back": "Zurück",
		"What's going on?": "Was ist los?",
		"Global staff cannot make Help requests. This form is only for reference.": "Der globale Staff kann keine Hilfeanfragen erstellen. Dieses Formular dient lediglich zu informativen Zwecken.",
		"Abuse of Help requests can result in punishments.": "Der Missbrauch von Hilfeanfragen kann zu Strafen führen.",
		"What do you want to report someone for?": "Aus welchem Grund möchtest du jemanden melden?",
		"If someone is harassing you in private messages (PMs), click the button below and a global staff member will take a look. If you are being harassed in a chatroom, please ask a room staff member to handle it. If it's a minor issue, consider using <code>/ignore [username]</code> instead.": "Falls dich jemand in einer privaten Nachricht belästigt, klicke unten auf die Schaltfläche und ein globales Staffmitglied wird sich um den Fall kümmern. Falls du in einem Chatraum belästigt wirst, wende dich an ein Staffmitglied des jeweiligen Raumes. Falls es sich um nichts Ernstes handelt, kannst du mit <code>/ignore [Nutzername]</code> den jeweiligen User ignorieren.",
		"If someone is harassing you in a battle, click the button below and a global staff member will take a look. If you are being harassed in a chatroom, please ask a room staff member to handle it. If it's a minor issue, consider using <code>/ignore [username]</code> instead.": "Falls dich jemand in einem Kampf belästigt, klicke unten auf die Schaltfläche und ein globales Staffmitglied wird sich um den Fall kümmern. Falls du in einem Chatraum belästigt wirst, wende dich an ein Staffmitglied des jeweiligen Raumes. Falls es sich um nichts Ernstes handelt, kannst du mit <code>/ignore [Nutzername]</code> den jeweiligen User ignorieren.",
		"Please save a replay of the battle if it has ended, or provide a link to the battle if it is still ongoing.": "Bitte speichere ein Replay des Kampfes, falls dieser bereits vorbei ist, oder schicke uns einen Link zum Kampf, falls dieser noch andauert.",
		"If a user has an inappropriate name, click the button below and a global staff member will take a look.": "Falls ein User einen unangemessenen Namen hat, klicke unten auf die Schaltfläche und ein globales Staffmitglied wird sich um den Fall kümmern.",
		"If a user has inappropriate Pokemon nicknames, click the button below and a global staff member will take a look.": "Falls ein User Pokemon mit unangemessenen Spitznamen hat, klicke unten auf die Schaltfläche und ein globales Staffmitglied wird sich um den Fall kümmern.",
		"What would you like to appeal?": "Gegen welche Entscheidung möchtest du Widerspruch einlegen?",
		"Permalocks are usually for repeated incidents of poor behavior over an extended period of time, and rarely for a single severe infraction. Please keep this in mind when appealing a permalock.": "Permalocks werden gewöhnlich an User ausgestellt, welche sich wiederholt regelwidrig über einen längeren Zeitraum verhalten haben, und nur in Ausnahmefällen für ein einzelnes schweres Vergehen. Bitte beachte das, wenn du einen Permalock anfechten möchtest.",
		"Please visit the <a href=\"https://www.smogon.com/forums/threads/discipline-appeal-rules.3583479/\">Discipline Appeals</a> page to appeal your permalock.": "Bitte besuche die <a href=\"https://www.smogon.com/forums/threads/discipline-appeal-rules.3583479/\">Discipline Appeals</a> Seite, um einen Permalock anzufechten.",
		"If you want to appeal your lock or namelock, click the button below and a global staff member will be with you shortly.": "Falls du gegen deinen Lock oder Namelock Widerspruch einlegen möchtest, klicke unten auf die Schaltfläche und ein globales Staffmitglied wird gleich da sein.",
		"If you are locked or namelocked under a name you don't recognize, click the button below to call a global staff member so we can check.": "Falls du unter einem Namen, den du nicht kennst, einen Lock oder Namelock erhalten hast, klicke unten auf die Schaltfläche, um ein globales Staffmitglied zu benachrichtigen, damit wir dies überprüfen können.",
		"We automatically lock proxies and VPNs to prevent evasion of punishments and other attacks on our server. To get unlocked, you need to disable your proxy or VPN.": "Wir stellen automatisch Locks für das Benutzen von Proxy-Servern und VPNs aus, um zu verhindern, dass Strafen umgangen und andere Attacken auf unseren Server begangen werden.",
		"Do you have an autoconfirmed account? An account is autoconfirmed when it has won at least one rated battle and has been registered for one week or longer.": "Besitzt du einen Account, welcher autoconfirmed ist? Ein Account ist dann autoconfirmed, wenn dieser mindestens einen Ladder-Kampf gewonnen hat und seit einer Woche oder länger registriert ist.",
		"Login to your autoconfirmed account by using the <code>/nick</code> command in any chatroom, and the semilock will automatically be removed. Afterwards, you can use the <code>/nick</code> command to switch back to your current username without being semilocked again.": "Melde dich mit deinem Autoconfirmed-Account an, indem du den Befehl <code>/nick</code> in einen Chatraum eingibst und der Semilock wird automatisch entfernt. Danach kannst du den Befehl <code>/nick</code> benutzen, um zu deinem derzeitigen Nutzernamen zurückzuwechseln, ohne wieder einen Semilock zu erhalten.",
		"If the semilock does not go away, you can try asking a global staff member for help. Click the button below to call a global staff member.": "Falls der Semilock nicht verschwindet, kannst du ein globales Staffmitglied um Hilfe bitten. Klicke unten auf die Schaltfläche, um ein globales Staffmitglied zu benachrichtigen.",
		"If you don't have an autoconfirmed account, you will need to contact a global staff member to appeal your semilock. Click the button below to call a global staff member.": "Falls du keinen Account besitzt, welcher autoconfirmed ist, musst du ein globales Staffmitglied direkt kontaktieren, um gegen deinen Semilock Einspruch einzulegen. Klicke unten auf die Schaltfläche, um ein globales Staffmitglied zu benachrichtigen.",
		"Please PM the staff member who punished you. If you don't know who punished you, ask another room staff member; they will redirect you to the correct user. If you are banned or blacklisted from the room, use <code>/roomauth [name of room]</code> to get a list of room staff members. Bold names are online.": "Bitte schicke eine private Nachricht an jenes Staffmitglied, welches dich bestraft hat. Falls du dir nicht sicher bist, wer dich bestraft hat, frage ein anderes Staffmitglied und du wirst an den richtigen User weitergeleitet. Falls du im Raum gebannt oder geblacklistet wurdest, benutze <code>/roomauth [name of room]</code> um eine Liste der Staffmitglieder im jeweiligen Raum zu erhalten. Alle hervorgehobenen Namen sind gerade online.",
		"Do not PM staff if you are locked (signified by the symbol <code>‽</code> in front of your username). Locks are a different type of punishment; to appeal a lock, make a help ticket by clicking the Back button and then selecting the most relevant option.": "Bitte schicke keine private Nachricht an ein Staffmitglied, falls du einen Lock erhalten hast (erkennbar am Symbol <code>‽</code> vor deinem Nutzernamen). Bei Locks handelt es sich um eine andere Art der Bestrafung; um gegen einen Lock Widerspruch einzulegen, erstelle ein Help-Ticket, indem du auf die Schaltfläche Zurück klickst und anschließend die entsprechende Option auswählst.",
		"Maybe one of these options will be helpful?": "Vielleicht ist eine dieser Optionen hilfreich?",
		"If you lost your password, click the button below to request a password reset. We will need to clarify a few pieces of information before resetting the account. Please note that password resets are low priority and may take a while; we recommend using a new account while waiting.": "Falls du dein Passwort vergessen hast, klicke unten auf die Schaltfläche, um dein Passwort zurückzusetzen. Wir müssen zunächst einige Details abklären, bevor wir dein Passwort zurücksetzen können. Bitte beachte, dass das Zurücksetzen von Passwörtern keine vorrangige Aufgabe für uns ist, weshalb dieser Prozess etwas Zeit in Anspruch nehmen könnte. Deshalb empfehlen wir, in der Zwischenzeit einen neuen Acccount zu verwenden.",
		"Request a password reset": "Beantrage ein Zurücksetzen deines Passwortes",
		"If you are a room driver or up in a public room, and you need help watching the chat, one or more global staff members would be happy to assist you!": "Falls du Roomdriver oder höher in einem öffentlichen Raum bist und Unterstützung dabei brauchst, den Chatraum zu überwachen, wird dir der globale Staff gerne behilflich sein!",
		"If your issue is not handled above, click the button below to talk to a global staff member. Please be ready to explain the situation.": "Falls dein Problem nicht mit den gerade genannten Maßnahmen lösbar ist, klicke unten auf die Schaltfläche, um ein globales Staffmitglied zu kontaktieren. Bitte stelle dich darauf ein, die Situation genau zu beschreiben.",
		"Malformed help request.": "Fehlerhafte Hilfeanfrage.",
		"PM Harassment": "Belästigung in einer privaten Nachricht",
		"Battle Harassment": "Belästigung in einem Kampf",
		"Inappropriate Username": "Unangemessener Nutzername",
		"Inappropriate Pokemon Nicknames": "Unangemessene Pokemon-Spitznamen",
		"Appeal": "Widerspruch",
		"IP-Appeal": "IP-Widerspruch",
		"ISP-Appeal": "ISP-Widerspruch",
		"Public Room Assistance Request": "Anfrage zur Unterstützung in einem öffentlichen Raum",
		"Other": "Anderes",
		"I want to report someone": "Ich möchte jemanden melden",
		"Someone is harassing me in PMs": "Jemand belästigt mich in einer privaten Nachricht",
		"Someone is harassing me in a battle": "Jemand belästigt mich in einem Kampf",
		"Someone is using an offensive username": "Jemand benutzt einen anstößigen Nutzernamen",
		"Someone is using offensive Pokemon nicknames": "Jemand benutzt anstößige Pokemon-Spitznamen",
		"I want to appeal a punishment": "Ich möchte gegen eine Bestrafung Widerspruch einlegen",
		"I want to appeal my permalock": "Ich möchte gegen meinen Permalock Widerspruch einlegen",
		"I want to appeal my lock": "Ich möchte gegen meinen Lock Widerspruch einlegen",
		"I'm locked because I have the same IP as someone I don't recognize": "Ich bin gesperrt, weil ich die selbe IP wie jemand besitze, den ich nicht kenne",
		"I can't talk in chat because of my ISP": "Aufgrund meiner ISP kann ich im Chat nicht schreiben",
		"I'm locked because of a proxy or VPN": "Ich bin gesperrt, weil ich einen Proxy-Server oder eine VPN verwende",
		"Yes, I have an autoconfirmed account": "Ja, ich besitze einen Account, welcher autoconfirmed ist",
		"No, I don't have an autoconfirmed account": "Nein, ich besitze keinen Account, welcher autoconfirmed ist",
		"I want to appeal a mute/roomban/blacklist": "Ich möchte gegen eine Stummschaltung/Raumbann/Blacklist Widerspruch einlegen",
		"Something else": "Etwas anderes",
		"I lost my password": "Ich habe mein Passwort vergessen",
		"I need global staff to help watch a public room": "Ich benötige den globalen Staff, damit ein öffentlicher Raum beaufsichtigt wird",
		"Report harassment in a private message (PM)": "Melde Belästigung in einer privaten Nachricht",
		"Report harassment in a battle": "Melde Belästigung in einem Kampf",
		"Report an inappropriate username": "Melde einen unangemessenen Nutzernamen",
		"Report inappropriate Pokemon nicknames": "Melde unangemessene Pokemon-Spitznamen",
		"Appeal your lock": "Lege Einspruch gegen deinen Lock ein",
		"Appeal IP lock": "Lege Einspruch gegen deinen IP-Lock ein",
		"Appeal ISP lock": "Lege Einspruch gegen deinen ISP-Lock ein",
		"Call a Global Staff member to help": "Bitte ein globales Staffmitglied um Hilfe",
		"Call a Global Staff member": "Benachrichtige ein globales Staffmitglied",
		"Are you sure you want to submit a ticket for ${type}?": "Bist du dir sicher, dass du ein Ticket für ${type} einreichen möchtest?",
		"Yes, contact global staff": "Ja, benachrichtige den globalen Staff",
		"No, cancel": "Nein, abbrechen",
		"Help Ticket Stats": "Help-Ticket Statistiken",
		"Help tickets": "Help-Tickets",
		"Status": "Status",
		"Creator": "Ersteller",
		"Ticket Type": "Ticket-Typ",
		"Language": "",
		"Claimed by": "Angenommen von",
		"Action": "Aktion",
		"And ${keys.length - count} more tickets.": "Und ${keys.length - count} weitere Tickets",
		"View all tickets": "Sehe alle Tickets ein",
		"Closed": "Geschlossen",
		"Inactive": "Inaktiv",
		"Claimed": "Angenommen",
		"Unclaimed": "Noch nicht angenommen",
		"Claim": "Annehmen",
		"View": "Einsehen",
		"Log": "Log",
		"Banned by": "Gebannt von",
		"Username": "Nutzername",
		"Expires": "Läuft aus",
		"Logs": "Logs",
		"And ${banKeys.length - count} more ticket bans.": "Und ${banKeys.length - count} weitere Ticket-Banns.",
		"Ticket List": "Ticket-Liste",
		"Banned": "Gebannt",
		"Ticket Stats": "Ticket-Statistiken",
		"No ticket stats found.": "Keine Ticket-Statistiken wurden gefunden.",
		"Previous Month": "Vergangener Monat",
		"Staff Stats": "Staff-Statistiken",
		"Next Month": "Nächster Monat",
		"Resolved": "Gelöst",
		"Unresolved": "Ungelöst",
		"Dead": "Abgelaufen",
		"Type": "Typ",
		"Total Tickets": "Gesamtzahl der Tickets",
		"Average Total Time": "Durchschnittliche Gesamtzeit",
		"Average Initial Wait": "Durchschnittliche anfängliche Wartezeit",
		"Average Total Wait": "Durchschnittliche gesamte Wartezeit",
		"Resolutions": "Resolutionen",
		"Positive Result": "Positives Ergebnis",
		"Staff ID": "Staff-ID",
		"Number of Tickets": "Anzahl der Tickets",
		"Average Time Per Ticket": "Durchschnittliche Zeit für ein Ticket",
		"This command cannot be broadcast in battles.": "Dieser Befehl kann nicht in Kämpfen angezeigt werden.",
		"Report someone": "Melde jemanden",
		"Appeal a punishment": "Lege Widerspruch gegen eine Bestrafung ein",
		"Request help": "Fordere Hilfe an",
		"You need to choose a username before doing this. [TN: 'this' refers to opening a help ticket]": "Du musst einen Nutzernamen auswählen, bevor du dies tust.",
		"Global staff can't make tickets. They can only use the form for reference.": "Der globale Staff kann keine Tickets erstellen. Sie können das Formular lediglich zu informativen Zwecken nutzen.",
		"You already have an open ticket; please wait for global staff to respond.": "Du hast bereits ein aktives Ticket; bitte warte, bis ein globales Staffmitglied antwortet",
		"Due to high load, you are limited to creating ${maxTickets} tickets every hour.": "Da im Moment viel los ist, kannst du derzeit nur ${maxTickets} Tickets pro Stunde erstellen.",
		"Hi! Who was harassing you in private messages?": "Hallo! Wer hat dich in einer privaten Nachricht belästigt?",
		"Hi! Who was harassing you, and in which battle did it happen? Please post a link to the battle or a replay of the battle.": "Hallo! Wer hat dich belästigt und in welchem Kampf ist das passiert? Bitte schicke uns einen Link zum Kampf oder ein Replay des Kampfes.",
		"Hi! Tell us the username that is inappropriate.": "Hallo! Bitte nenne uns den Nutzernamen, der unangemessen ist.",
		"Hi! Which user has Pokemon with inappropriate nicknames, and in which battle? Please post a link to the battle or a replay of the battle.": "Hallo! Welcher User besitzt Pokemon mit unangemessenen Spitznamen und in welchem Kampf hat es sich zugetragen? Bitte schicke uns einen Link zum Kampf oder ein Replay des Kampfes.",
		"Hi! Can you please explain why you feel your punishment is undeserved?": "Hallo! Kannst du uns erklären, wieso du denkst, dass deine Bestrafung nicht angemessen ist?",
		"Hi! How are you connecting to Showdown right now? At home, at school, on a phone using mobile data, or some other way?": "Hallo! Auf welche Art und Weise hast du dich mit PS! verbunden? Zuhause, in der Schule, auf einem Handy mit mobilen Daten oder etwas anderes?",
		"Hi! Which room(s) do you need us to help you watch?": "Hallo! In welchen Räumen benötigst du unsere Präsenz?",
		"Hi! What seems to be the problem? Tell us about any people involved,\n and if this happened in a specific place on the site.": "Hallo! Um welches Problem handelt es sich? Nenne uns alle Nutzer, welche beteiligt waren,\n und ob es sich an einem bestimmten Ort auf der Seite zugetragen hat.",
		"Hi! Please click the button below to give global staff permission to check PMs.": "Hallo! Bitte klicke unten auf die Schaltfläche, um dem globalen Staff zu erlauben, deine privaten Nachrichten zu lesen.",
		"Or if ${reportTarget} is not the user you want to report, please tell us the name of the user who you want to report.": "Falls aber ${reportTarget} nicht jener User ist, den du melden möchtest, dann nenne uns bitte den Namen des Users, den du melden möchtest. ",
		"Help Ticket": "Help-Ticket",
		"Issue": "Problem",
		"A Global Staff member will be with you shortly.": "Ein globales Staffmitglied wird gleich da sein.",
		"${inputUsername} does not have an open ticket.": "${inputUsername} besitzt kein aktives Ticket.",
		"You closed ${ticket.creator}'s ticket.": "Du hast ${ticket.creator}'s Ticket geschlossen.",
		"The reason is too long. It cannot exceed 300 characters.": "Der Grund ist zu lang. Dieser darf keine 300 Zeichen überschreiten.",
		"User '${targetUsername}' not found.": "User '${targetUsername}' wurde nicht gefunden.",
		"${targetUser ? targetUser.name : target} is not ticket banned.": "${targetUser ? targetUser.name : target} ist nicht davon ausgeschlossen, Tickets zu erstellen.",
		"${targetUser ? targetUser.name : target}'s ticket ban is already expired.": "${targetUser ? targetUser.name : target}'s Ticket-Bann ist bereits abgelaufen.",
		"You are already ignoring help ticket notifications. Use /helpticket unignore to receive notifications again.": "Du ignorierst bereits Help-Ticket Benachrichtigungen. Benutze /helpticket unignore um wieder Benachrichtigungen zu empfangen.",
		"You are now ignoring help ticket notifications.": "Du ignoriest jetzt Help-Ticket Benachrichtigungen.",
		"You are not ignoring help ticket notifications. Use /helpticket ignore to stop receiving notifications.": "Du ignorierst keine Help-Ticket Benachrichtigungen. Benutze /helpticket ignore um keine Benachrichtigungen mehr zu empfangen.",
		"You will now receive help ticket notifications.": "Du wirst jetzt Help-Ticket Benachrichtigungen empfangen.",
		"${target} does not have a ticket.": "${target} besitzt kein Ticket.",
		"You deleted ${target}'s ticket.": "Du hast ${target}'s Ticket gelöscht.",

		"Hi! All global staff members are busy right now and we apologize for the delay. ": "Hi! Sämtliche globale Staffmitglieder sind derzeit beschäftigt und wir entschuldigen uns für diese Verspätung. ",
		"Please make sure you have given us the permission to check the PMs between you and the user you reported. You can also provide any relevant context; for example, a replay of a battle with the person you're reporting.": "Bitte stelle sicher, dass du uns die Erlaubnis erteilt hast, den Nachrichtenverlauf zwischen dir und dem gemeldeten Nutzer einzusehen. Ebenfalls kannst du uns zusätzliches relevantes Material zur Verfügung stellen, zum Beispiel ein Replay des Kampfes zwischen dir und dem gemeldeten Nutzer.",
		'Please save the replay of the battle and provide a link to it in this chat, so we can see the harassment even if the battle expires. You can save the replay by clicking on the "Upload and share replay" button once the battle has ended.': "Bitte speichere das Replay des Kampfes und stelle uns den Link in diesem Chat zur Verfügung, sodass wir ein mögliches Vergehen im Kampf sehen, auch wenn der Kampfraum bereits abgelaufen ist. Du kannst ein Replay speichern, indem du auf die Schaltfläche Upload and share replay klickst, sobald der Kampf vorbei ist.",
		"Make sure you have provided the correct username, and if its meaning or why it is offensive is not obvious, please explain why it should not be allowed.": "Bitte stelle sicher, dass du uns den richtigen Nutzernamen zur Verfügung gestellt hast. Ebenfalls gib an, warum der jeweilige Nutzername anstößig ist, besonderes dann, wenn es auf den ersten Blick nicht ersichtlich ist.",
		'Please save the replay of the battle and provide a link to it in this chat, so we can see the nicknames even if the battle expires. You can save the replay by clicking on the "Upload and share replay" button once the battle has ended.': "Bitte speichere ein Replay des Kampfes und stelle uns den Link in diesem Chat zur Verfügung, sodass wir die Spitznamen sehen können, auch wenn der Kampfraum bereits abgelaufen ist. Du kannst ein Replay speichern, indem du auf die Schaltfläche Upload and share replay klickst, sobald der Kampf vorbei ist.",
		"Please clearly explain why you should be unlocked and we will review it as soon as possible.": "Bitte erkläre uns sehr genau, warum wir deinen Lock wieder aufheben sollten und wir werden deine Anfrage so schnell es geht bearbeiten.",
		"Please give us all relevant information on how you are connecting to Pokémon Showdown (if it is through mobile data, at home, a school or work network, etc), and we will review your case as soon as possible.": "Bitte stelle uns alle wichtigen Informationen über deine Internetverbindung (ob du über Datenvolumen, Heim-WLAN oder ein öffentliches Netzwork wie eine Schule eingeloggt bist) zur Verfügung und wir werden deine Anfrage so schnell es geht bearbeiten.",
		"Please tell us which room you need assistance with and a global staff member will join your room as soon as possible.": "Bitte teile uns mit, in welchem Raum du Unterstützung benötigst und ein globales Staffmitglied wird den Raum so schnell es geht beaufsichtigen.",
		"If your issue pertains to battle mechanics or is a question about Pokémon Showdown, you can ask in the <<help>> chatroom.": "Falls deine Hilfeanfrage über Kampfmechaniken oder Pokémon Showdown handelt, kannst du in <<help>> um Hilfe bitten.",
	},
};
