import type {Translations} from '../../server/chat';

export const translations: Translations = {
	strings: {
		"Hello! The global staff team would be happy to help you, but you need to explain what's going on first.": "¡Hola! Al equipo del staff global le encantaría ayudarte, pero primero explícanos qué sucede.",
		"Please post the information I requested above so a global staff member can come to help.": "Por favor, escribe la información que se te solicitó arriba para que un miembro del staff global pueda venir a ayudar.",
		"Thank you for the information, global staff will be here shortly. Please stay in the room.": "Gracias por la información, el staff global estará aquí en breve. Por favor permanece en esta sala.",
		"You are banned from creating tickets": "Se te ha prohibido crear tickets",
		", because you have the same IP as ${ticket.banned}.": ", ya que tienes la misma IP de ${ticket.banned}.",
		"Request help from global staff": "Solicita ayuda del staff global",
		"Please <button name=\"login\" class=\"button\">Log In</button> to request help.": "Por favor haz <button name=\"login\" class=\"button\">Log In</button> para solicitar ayuda.",
		"Request Help": "Solicita Ayuda",
		"You already have a Help ticket.": "Tú ya tienes un Help ticket",
		"Back": "Volver",
		"What's going on?": "¿Qué está sucediendo?",
		"Global staff cannot make Help requests. This form is only for reference.": "El staff Global no puede hacer solicitudes de Ayuda. Este formulario es únicamente como referencia.",
		"Abuse of Help requests can result in punishments.": "Abusar de las solicitudes de Ayuda puede resultar en una sanción.",
		"What do you want to report someone for?": "¿Por qué razón quieres reportar a alguien?",
		"If someone is harassing you in private messages (PMs), click the button below and a global staff member will take a look. If you are being harassed in a chatroom, please ask a room staff member to handle it. If it's a minor issue, consider using <code>/ignore [username]</code> instead.": "Si alguien está molestándote de alguna manera en mensajes privados (PMs), haz click en el botón de abajo y un miembro del staff global echará un vistazo. Si te están molestando en una sala de chat, por favor dirígete a un miembro del room staff para que se haga cargo. Si es un problema menor, considera usar <code>/ignore [nombre de usuario]</code> en su lugar.",
		"If someone is harassing you in a battle, click the button below and a global staff member will take a look. If you are being harassed in a chatroom, please ask a room staff member to handle it. If it's a minor issue, consider using <code>/ignore [username]</code> instead.": "Si alguien está molestándote en una batalla, haz click en el botón de abajo y un miembro del staff global echará un vistazo. Si te están molestando en una sala de chat, por favor dirígete a un miembro del room staff para que se haga cargo. Si es un problema menor, considera usar <code>/ignore [nombre de usuario]</code> en su lugar.",
		"Please save a replay of the battle if it has ended, or provide a link to the battle if it is still ongoing.": "Por favor guarda la replay de la batalla si esta ha finalizado, o manda el link de la batalla si esta sigue en curso.",
		"If a user has an inappropriate name, click the button below and a global staff member will take a look.": "Si un usuario tiene un nombre inapropiado, haz click en el botón de abajo y un miembro del staff global le echará un vistazo.",
		"If a user has inappropriate Pokemon nicknames, click the button below and a global staff member will take a look.": "Si un usuario tiene motes inapropiados en sus Pokémon, haz click en el botón de abajo y un miembro del staff global les echará un vistazo.",
		"What would you like to appeal?": "¿Qué quisieras apelar?",
		"Permalocks are usually for repeated incidents of poor behavior over an extended period of time, and rarely for a single severe infraction. Please keep this in mind when appealing a permalock.": "Los permalocks normalmente son consecuencia de incidentes repetidos de mal comportamiento durante un periodo de tiempo extendido, y rara vez por una infracción aislada severa. Por favor ten esto en mente esto cuando apeles un permalock.",
		"Please visit the <a href=\"https://www.smogon.com/forums/threads/discipline-appeal-rules.3583479/\">Discipline Appeals</a> page to appeal your permalock.": "Por favor visita la página de los<a href=\"https://www.smogon.com/forums/threads/discipline-appeal-rules.3583479/\">Apelativos de Disciplina</a> para apelar tu permalock.",
		"If you want to appeal your lock or namelock, click the button below and a global staff member will be with you shortly.": "Si tú quieres apelar tu lock o namelock, haz click en el botón de abajo y un miembro del staff global estará contigo pronto.",
		"If you are locked or namelocked under a name you don't recognize, click the button below to call a global staff member so we can check.": "Si tú estás lock o namelock bajo un nombre que no reconoces, haz click en el botón de abajo para llamar a un miembro del staff global para que revise la situación.",
		"We automatically lock proxies and VPNs to prevent evasion of punishments and other attacks on our server. To get unlocked, you need to disable your proxy or VPN.": "Nosotros bloqueamos automáticamente los proxies y VPNs con el fin de evitar la evasión de sanciones y otros ataques en nuestro servidor. Para ser desbloqueado tienes que deshabilitar tu proxy o VPN.",
		"Do you have an autoconfirmed account? An account is autoconfirmed when it has won at least one rated battle and has been registered for one week or longer.": "¿Tienes una cuenta autoconfirmed? Una cuenta está autoconfirmed cuando ha ganado al menos una batalla puntuada y ha estado registrada durante una semana o más.",
		"Login to your autoconfirmed account by using the <code>/nick</code> command in any chatroom, and the semilock will automatically be removed. Afterwards, you can use the <code>/nick</code> command to switch back to your current username without being semilocked again.": "Inicia sesión en tu cuenta autoconfirmed usando el comando <code>/nick</code> en cualquier sala de chat y el semilock desaparecerá automáticamente. Posteriormente, tú puedes utilizar el comando <code>/nick</code> para regresar a tu nombre de usuario actual sin volver a estar semilock.",
		"If the semilock does not go away, you can try asking a global staff member for help. Click the button below to call a global staff member.": "Si el semilock no desaparece, puedes intentar solicitar ayuda de un miembro del staff global. Haz click en el botón de abajo para llamar a un miembro del staff global.",
		"If you don't have an autoconfirmed account, you will need to contact a global staff member to appeal your semilock. Click the button below to call a global staff member.": "Si tú no tienes una cuenta autoconfirmed, necesitarás contactar a un miembro del staff global para apelar tu semilock. Haz click en el botón de abajo para llamar a un miembro del staff global.",
		"Please PM the staff member who punished you. If you don't know who punished you, ask another room staff member; they will redirect you to the correct user. If you are banned or blacklisted from the room, use <code>/roomauth [name of room]</code> to get a list of room staff members. Bold names are online.": "Por favor, envía un mensaje privado (PM) al miembro del staff que te sancionó. Si no sabes quién te sancionó, pregunta a otro miembro del room staff y ellos te redireccionarán con el usuario correcto. Si tú estás expulsado o en la lista negra de una sala, usa el comando <code>/roomauth [nombre de la sala]</code> para ver la lista de los miembros del room staff. Los nombres en bold están online.",
		"Do not PM staff if you are locked (signified by the symbol <code>‽</code> in front of your username). Locks are a different type of punishment; to appeal a lock, make a help ticket by clicking the Back button and then selecting the most relevant option.": "No envíes mensajes privados (PMs) al staff si estás lock (lo cual se indica por el símbolo <code>‽</code> al inicio de tu nombre de usuario). Los locks son un tipo diferente de sanción. Para apelar un lock, crea un Help Ticket haciendo click en el botón de Volver y selecciona la opción más relevante.",
		"Maybe one of these options will be helpful?": "¿Quizá alguna de estas opciones sea de ayuda?",
		"If you lost your password, click the button below to request a password reset. We will need to clarify a few pieces of information before resetting the account. Please note that password resets are low priority and may take a while; we recommend using a new account while waiting.": "Si olvidaste tu contraseña, haz click en el botón de abajo para solicitar un restablecimiento de contraseña. Nosotros necesitaremos confirmar algunos datos antes de restablecer la cuenta. Por favor ten en cuenta que los restablecimientos de contraseña son de poca prioridad y pueden tomar un tiempo; recomendamos utilizar una cuenta nueva durante la espera.",
		"Request a password reset": "Solicita un restablecimiento de contraseña",
		"If you are a room driver or up in a public room, and you need help watching the chat, one or more global staff members would be happy to assist you!": "Si tú eres room driver o superior en una sala pública y necesitas ayuda para vigilar el chat, ¡uno o más miembros del staff global estarán encantados de ayudarte!",
		"If your issue is not handled above, click the button below to talk to a global staff member. Please be ready to explain the situation.": "Si tu problema no está listado arriba, haz click en el botón de abajo para conversar con un miembro del staff global. Por favor mantente preparado para explicar la situación.",
		"Malformed help request.": "Solicitud de ayuda no válida.",
		"PM Harassment": "Usuario ofensivo/molesto en PM",
		"Battle Harassment": "Usuario ofensivo/molesto en Batalla",
		"Inappropriate Username": "Nombre de Usuario Inapropiado",
		"Inappropriate Pokemon Nicknames": "Motes de Pokémon Inapropiados",
		"Appeal": "Apelación",
		"IP-Appeal": "Apelación de IP",
		"ISP-Appeal": "Apelación de ISP",
		"Public Room Assistance Request": "Solicitud de Asistencia en Sala Pública",
		"Other": "Otro",
		"I want to report someone": "Quiero reportar a alguien",
		"Someone is harassing me in PMs": "Alguien me está molestando/ofendiendo en PMs",
		"Someone is harassing me in a battle": "Alguien me está molestando/ofendiendo en una batalla",
		"Someone is using an offensive username": "Alguien está usando un nombre de usuario ofensivo",
		"Someone is using offensive Pokemon nicknames": "Alguien está usando motes ofensivos en sus Pokémon",
		"I want to appeal a punishment": "Quiero apelar una sanción",
		"I want to appeal my permalock": "Quiero apelar mi permalock",
		"I want to appeal my lock": "Quiero apelar mi lock",
		"I'm locked because I have the same IP as someone I don't recognize": "Estoy lock porque tengo la misma IP de alguien que no reconozco",
		"I can't talk in chat because of my ISP": "No puedo hablar en un chat debido a mi ISP",
		"I'm locked because of a proxy or VPN": "Estoy lock debido a un proxy o VPN",
		"Yes, I have an autoconfirmed account": "Sí, tengo una cuenta autoconfirmed",
		"No, I don't have an autoconfirmed account": "No, no tengo una cuenta autoconfirmed",
		"I want to appeal a mute/roomban/blacklist": "",
		"Something else": "Otra cosa",
		"I lost my password": "Olvidé mi contraseña",
		"I need global staff to help watch a public room": "Necesito un staff global para ayudar a vigilar una sala pública",
		"Report harassment in a private message (PM)": "Reportar contenido molesto/ofensivo en un mensaje privado (PM)",
		"Report harassment in a battle": "Reportar contenido molesto/ofensivo en una batalla",
		"Report an inappropriate username": "Reportar un nombre de usuario inapropiado",
		"Report inappropriate Pokemon nicknames": "Reportar motes de Pokémon inapropiados",
		"Appeal your lock": "Apela tu lock",
		"Appeal IP lock": "Apela tu lock de IP",
		"Appeal ISP lock": "Apela tu lock de ISP",
		"Call a Global Staff member to help": "Solicita un miembro del Staff Global para ayudarte",
		"Call a Global Staff member": "Llama a un miembro del Staff Global",
		"Are you sure you want to submit a ticket for ${type}?": "¿Estás seguro que deseas enviar un ticket para ${type}?",
		"Yes, contact global staff": "Sí, contactar al staff global",
		"No, cancel": "No, cancelar",
		"Help Ticket Stats": "Status de Help Ticket",
		"Help tickets": "Help tickets",
		"Status": "Status",
		"Creator": "Creador",
		"Ticket Type": "Tipo de Ticket",
		"Language": "Idioma",
		"Claimed by": "Tomado por",
		"Action": "Acción",
		"And ${keys.length - count} more tickets.": "Y ${keys.length - count} tickets más.",
		"View all tickets": "Ver todos los tickets",
		"Closed": "Cerrado",
		"Inactive": "Inactivo",
		"Claimed": "Tomado",
		"Unclaimed": "Sin reclamar",
		"Claim": "Tomar",
		"View": "Ver",
		"Log": "Log",
		"Banned by": "Expulsado por",
		"Username": "Nombre de usuario",
		"Expires": "Expira",
		"Logs": "Logs",
		"And ${banKeys.length - count} more ticket bans.": "Y ${banKeys.length - count} ticket bans más.",
		"Ticket List": "Lista de Tickets",
		"Banned": "Expulsado",
		"Ticket Stats": "Estadísticas de Ticket",
		"No ticket stats found.": "No se encontraron estadísticas de tickets.",
		"Previous Month": "Mes Anterior",
		"Staff Stats": "Estadísticas de Staff",
		"Next Month": "Siguiente Mes",
		"Resolved": "Resuelto",
		"Unresolved": "Sin resolver",
		"Dead": "No asistidos",
		"Type": "Tipo",
		"Total Tickets": "Total de Tickets",
		"Average Total Time": "Tiempo Total Promedio",
		"Average Initial Wait": "Tiempo Inicial de Espera Promedio",
		"Average Total Wait": "Tiempo de Espera Promedio",
		"Resolutions": "Resoluciones",
		"Positive Result": "Resultados Positivos",
		"Staff ID": "Staff ID",
		"Number of Tickets": "Número de Tickets",
		"Average Time Per Ticket": "Tiempo Promedio por Ticket",
		"This command cannot be broadcast in battles.": "Este comando no se puede mostrar en batallas.",
		"Report someone": "Reporta a un usuario",
		"Appeal a punishment": "Apela una sanción",
		"Request help": "Solicita ayuda",
		"You need to choose a username before doing this. [TN: 'this' refers to opening a help ticket]": "Tú necesitas elegir un nombre de usuario antes de hacer esto.",
		"Global staff can't make tickets. They can only use the form for reference.": "El staff Global no puede hacer tickets. Ellos solo pueden usar el formulario como referencia.",
		"You already have an open ticket; please wait for global staff to respond.": "Tú ya tienes un ticket abierto; por favor espera a que un staff global responda.",
		"Due to high load, you are limited to creating ${maxTickets} tickets every hour.": "Debido a la alta demanda, estás limitado a crear ${maxTickets} tickets cada hora.",
		"Hi! Who was harassing you in private messages?": "¡Hola! ¿Quién te estaba molestando u ofendiendo por mensaje privado?",
		"Hi! Who was harassing you, and in which battle did it happen? Please post a link to the battle or a replay of the battle.": "¡Hola! ¿Quién te estaba molestando u ofendiendo, y en qué batalla sucedió? Por favor déjanos aquí el link de la batalla o la replay de la batalla.",
		"Hi! Tell us the username that is inappropriate.": "¡Hola! Dinos el nombre de usuario que es inapropiado.",
		"Hi! Which user has Pokemon with inappropriate nicknames, and in which battle? Please post a link to the battle or a replay of the battle.": "¡Hola! ¿Qué usuario tiene a los Pokémon con motes inapropiados y en qué batalla? Por favor déjanos el link de la batalla o la replay de la batalla.",
		"Hi! Can you please explain why you feel your punishment is undeserved?": "¡Hola! ¿Podrías explicarnos por favor por qué consideras que tu sanción es inmerecida?",
		"Hi! How are you connecting to Showdown right now? At home, at school, on a phone using mobile data, or some other way?": "¡Hola! ¿Desde dónde estás conectado a Showdown ahora mismo? ¿Desde casa, en la escuela o en un teléfono celular utilizando datos móviles, u otro modo?",
		"Hi! Which room(s) do you need us to help you watch?": "¡Hola! ¿Qué sala(s) necesitas que te ayudemos a vigilar?",
		"Hi! What seems to be the problem? Tell us about any people involved,\n and if this happened in a specific place on the site.": "¡Hola! ¿Cuál parece ser el problema? Cuéntanos sobre cualquier persona involucrada y en dónde sucedió.",
		"Hi! Please click the button below to give global staff permission to check PMs.": "¡Hola! Por favor haz click en el botón de abajo para darle permiso al staff global de revisar PMs.",
		" Or if ${reportTarget} is not the user you want to report, please tell us the name of the user who you want to report.": "O si ${reportTarget} no es el usuario que deseas reportar, por favor indícanos el nombre del usuario que deseas reportar.",
		"Help Ticket": "Help Tickets",
		"Issue": "Problema",
		"A Global Staff member will be with you shortly.": "Un miembro del Staff Global estará contigo en breve.",
		"${inputUsername} does not have an open ticket.": "${inputUsername} no tiene un ticket abierto.",
		"You closed ${ticket.creator}'s ticket.": "Tú cerraste el ticket de ${ticket.creator}.",
		"The reason is too long. It cannot exceed 300 characters.": "La razón es demasiado extensa. No puede exceder los 300 caracteres.",
		"User '${targetUsername}' not found.": "Usuario '${targetUsername}' no encontrado.",
		"${targetUser ? targetUser.name : target} is not ticket banned.": "${targetUser ? targetUser.name : target} no tiene prohibido crear tickets.",
		"${targetUser ? targetUser.name : target}'s ticket ban is already expired.": "La prohibición de ${targetUser ? targetUser.name : target} para crear tickets ha expirado.",
		"You are already ignoring help ticket notifications. Use /helpticket unignore to receive notifications again.": "Tú ya estás ignorando las notificaciones de los help tickets. Usa /helpticket unignore para recibir notificaciones nuevamente.",
		"You are now ignoring help ticket notifications.": "Tú estás ignorando ahora las notificaciones de los help tickets.",
		"You are not ignoring help ticket notifications. Use /helpticket ignore to stop receiving notifications.": "Tú ya no estás ignorando las notificaciones de los help tickets. Usa /helpticket ignore para no recibir notificaciones.",
		"You will now receive help ticket notifications.": "Tú ahora no recibirás notificaciones de help tickets.",
		"${target} does not have a ticket.": "${target} no tiene un ticket.",
		"You deleted ${target}'s ticket.": "Tú eliminaste el ticket de ${target}",

		"Hi! All global staff members are busy right now and we apologize for the delay. ": "",
		"Please make sure you have given us the permission to check the PMs between you and the user you reported. You can also provide any relevant context; for example, a replay of a battle with the person you're reporting.": "",
		'Please save the replay of the battle and provide a link to it in this chat, so we can see the harassment even if the battle expires. You can save the replay by clicking on the "Upload and share replay" button once the battle has ended.': "",
		"Make sure you have provided the correct username, and if its meaning or why it is offensive is not obvious, please explain why it should not be allowed.": "",
		'Please save the replay of the battle and provide a link to it in this chat, so we can see the nicknames even if the battle expires. You can save the replay by clicking on the "Upload and share replay" button once the battle has ended.': "",
		"Please clearly explain why you should be unlocked and we will review it as soon as possible.": "",
		"Please give us all relevant information on how you are connecting to Pokémon Showdown (if it is through mobile data, at home, a school or work network, etc), and we will review your case as soon as possible.": "",
		"Please tell us which room you need assistance with and a global staff member will join your room as soon as possible.": "",
		"If your issue pertains to battle mechanics or is a question about Pokémon Showdown, you can ask in the <<help>> chatroom.": "",
	},
};
