export const FormatsData: {[k: string]: SpeciesFormatsData} = {
	bulbasaur: {
		tier: "LC",
	},
	ivysaur: {
		tier: "NFE",
	},
	venusaur: {
		randomBattleMoves: ["gigadrain", "leechseed", "sleeppowder", "sludgebomb", "substitute"],
		randomBattleLevel: 82,
		tier: "RUBL",
		doublesTier: "DUU",
	},
	venusaurmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	venusaurgmax: {
		randomDoubleBattleMoves: ["earthpower", "energyball", "leechseed", "protect", "sleeppowder", "sludgebomb"],
		randomDoubleBattleLevel: 80,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	charmander: {
		tier: "LC",
	},
	charmeleon: {
		tier: "NFE",
	},
	charizard: {
		randomBattleMoves: ["airslash", "earthquake", "fireblast", "focusblast", "roost"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["airslash", "heatwave", "overheat", "protect", "scorchingsands", "tailwind"],
		randomDoubleBattleLevel: 80,
		randomBattleNoDynamaxMoves: ["defog", "earthquake", "fireblast", "hurricane", "roost", "toxic"],
		tier: "PU",
		doublesTier: "(DUU)",
	},
	charizardmegax: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	charizardmegay: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	charizardgmax: {
		randomDoubleBattleMoves: ["airslash", "fireblast", "focusblast", "heatwave", "protect", "tailwind"],
		randomDoubleBattleLevel: 80,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	squirtle: {
		tier: "LC",
	},
	wartortle: {
		tier: "NFE",
	},
	blastoise: {
		randomBattleMoves: ["earthquake", "focusblast", "hydropump", "icebeam", "shellsmash"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["icebeam", "muddywater", "protect", "shellsmash"],
		randomDoubleBattleLevel: 80,
		tier: "NU",
		doublesTier: "DOU",
	},
	blastoisemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	blastoisegmax: {
		randomBattleMoves: ["icebeam", "protect", "rapidspin", "scald", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["fakeout", "flipturn", "followme", "icywind", "lifedew", "muddywater", "protect"],
		randomDoubleBattleLevel: 80,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	caterpie: {
		tier: "LC",
	},
	metapod: {
		tier: "NFE",
	},
	butterfree: {
		randomBattleMoves: ["energyball", "hurricane", "quiverdance", "sleeppowder"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["hurricane", "pollenpuff", "protect", "ragepowder", "sleeppowder", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	butterfreegmax: {
		randomBattleMoves: ["airslash", "bugbuzz", "quiverdance", "sleeppowder"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["hurricane", "pollenpuff", "protect", "quiverdance", "sleeppowder"],
		randomDoubleBattleLevel: 88,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	weedle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	kakuna: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	beedrill: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	beedrillmega: {
		isNonstandard: "Past",
	},
	pidgey: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pidgeotto: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pidgeot: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pidgeotmega: {
		isNonstandard: "Past",
	},
	rattata: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	rattataalola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	raticate: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	raticatealola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	raticatealolatotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	spearow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	fearow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ekans: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	arbok: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pichu: {
		tier: "LC",
	},
	pichuspikyeared: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachu: {
		randomBattleMoves: ["irontail", "knockoff", "surf", "voltswitch", "volttackle"],
		randomBattleLevel: 92,
		randomDoubleBattleMoves: ["fakeout", "grassknot", "knockoff", "protect", "volttackle"],
		randomDoubleBattleLevel: 90,
		tier: "NFE",
	},
	pikachucosplay: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachurockstar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachubelle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachupopstar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachuphd: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachulibre: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pikachuoriginal: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachuhoenn: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachusinnoh: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachuunova: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachukalos: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachualola: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachupartner: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pikachustarter: {
		isNonstandard: "LGPE",
		tier: "Illegal",
	},
	pikachugmax: {
		randomDoubleBattleMoves: ["extremespeed", "fakeout", "knockoff", "surf", "volttackle"],
		randomDoubleBattleLevel: 90,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	pikachuworld: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	raichu: {
		randomBattleMoves: ["focusblast", "grassknot", "nastyplot", "surf", "thunderbolt", "voltswitch"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["encore", "fakeout", "grassknot", "helpinghand", "nuzzle", "protect", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["encore", "focusblast", "grassknot", "nastyplot", "surf", "thunderbolt", "voltswitch"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	raichualola: {
		randomBattleMoves: ["focusblast", "grassknot", "nastyplot", "psyshock", "thunderbolt", "voltswitch"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["focusblast", "nastyplot", "psyshock", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 86,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	sandshrew: {
		tier: "LC",
	},
	sandshrewalola: {
		tier: "LC",
	},
	sandslash: {
		randomBattleMoves: ["earthquake", "knockoff", "rapidspin", "stealthrock", "swordsdance", "toxic", "spikes", "stoneedge"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["drillrun", "knockoff", "protect", "stealthrock", "stoneedge", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sandslashalola: {
		randomBattleMoves: ["earthquake", "ironhead", "knockoff", "rapidspin", "swordsdance", "tripleaxel"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["drillrun", "ironhead", "protect", "swordsdance", "tripleaxel"],
		randomDoubleBattleLevel: 90,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	nidoranf: {
		tier: "LC",
	},
	nidorina: {
		tier: "NFE",
	},
	nidoqueen: {
		randomBattleMoves: ["earthpower", "icebeam", "sludgewave", "stealthrock", "toxicspikes"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["earthpower", "icebeam", "protect", "sludgebomb", "stealthrock"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	nidoranm: {
		tier: "LC",
	},
	nidorino: {
		tier: "NFE",
	},
	nidoking: {
		randomBattleMoves: ["earthpower", "icebeam", "sludgewave", "substitute", "superpower"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["earthpower", "fireblast", "icebeam", "protect", "sludgebomb", "superpower"],
		randomDoubleBattleLevel: 84,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	cleffa: {
		tier: "LC",
	},
	clefairy: {
		randomDoubleBattleMoves: ["followme", "helpinghand", "moonblast", "protect"],
		randomDoubleBattleLevel: 95,
		tier: "NFE",
	},
	clefable: {
		randomBattleMoves: ["calmmind", "fireblast", "moonblast", "softboiled", "stealthrock", "thunderwave"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["fireblast", "followme", "healpulse", "helpinghand", "moonblast", "protect", "thunderwave"],
		randomDoubleBattleLevel: 86,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	vulpix: {
		tier: "LC",
	},
	vulpixalola: {
		tier: "NFE",
	},
	ninetales: {
		randomBattleMoves: ["fireblast", "nastyplot", "scorchingsands", "solarbeam", "willowisp"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["heatwave", "nastyplot", "protect", "scorchingsands", "solarbeam"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "DUU",
	},
	ninetalesalola: {
		randomBattleMoves: ["auroraveil", "blizzard", "freezedry", "moonblast", "nastyplot"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["auroraveil", "blizzard", "encore", "freezedry", "moonblast"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "DUU",
	},
	igglybuff: {
		tier: "LC",
	},
	jigglypuff: {
		tier: "NFE",
	},
	wigglytuff: {
		randomBattleMoves: ["dazzlinggleam", "fireblast", "healbell", "lightscreen", "reflect", "stealthrock"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["dazzlinggleam", "healpulse", "helpinghand", "hypervoice", "thunderwave"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	zubat: {
		tier: "LC",
	},
	golbat: {
		tier: "NFE",
	},
	crobat: {
		randomBattleMoves: ["bravebird", "defog", "roost", "superfang", "taunt", "toxic", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bravebird", "defog", "roost", "superfang", "tailwind", "taunt"],
		randomDoubleBattleLevel: 86,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	oddish: {
		tier: "LC",
	},
	gloom: {
		tier: "NFE",
	},
	vileplume: {
		randomBattleMoves: ["aromatherapy", "gigadrain", "sleeppowder", "sludgebomb", "strengthsap"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aromatherapy", "energyball", "pollenpuff", "sleeppowder", "sludgebomb", "strengthsap"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	bellossom: {
		randomBattleMoves: ["gigadrain", "moonblast", "quiverdance", "sleeppowder", "strengthsap"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["energyball", "moonblast", "quiverdance", "sleeppowder", "strengthsap"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	paras: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	parasect: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	venonat: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	venomoth: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	diglett: {
		tier: "LC",
	},
	diglettalola: {
		tier: "LC",
	},
	dugtrio: {
		randomBattleMoves: ["earthquake", "memento", "stoneedge", "suckerpunch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["highhorsepower", "memento", "protect", "rockslide", "substitute", "suckerpunch"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	dugtrioalola: {
		randomBattleMoves: ["earthquake", "ironhead", "stealthrock", "stoneedge", "suckerpunch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["highhorsepower", "ironhead", "memento", "protect", "rockslide", "suckerpunch"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	meowth: {
		tier: "LC",
	},
	meowthalola: {
		tier: "LC",
	},
	meowthgalar: {
		tier: "LC",
	},
	meowthgmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	persian: {
		randomBattleMoves: ["doubleedge", "fakeout", "knockoff", "playrough", "uturn"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["doubleedge", "fakeout", "hypnosis", "icywind", "knockoff", "taunt"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	persianalola: {
		randomBattleMoves: ["darkpulse", "hypnosis", "nastyplot", "thunderbolt"],
		randomBattleLevel: 85,
		randomDoubleBattleMoves: ["fakeout", "foulplay", "icywind", "partingshot", "protect", "snarl", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	perrserker: {
		randomBattleMoves: ["closecombat", "crunch", "fakeout", "ironhead", "uturn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["closecombat", "fakeout", "ironhead", "lashout", "protect", "uturn"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	psyduck: {
		tier: "LC",
	},
	golduck: {
		randomBattleMoves: ["calmmind", "focusblast", "icebeam", "psyshock", "scald", "substitute"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["calmmind", "encore", "icebeam", "muddywater", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mankey: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	primeape: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	growlithe: {
		tier: "LC",
	},
	arcanine: {
		randomBattleMoves: ["closecombat", "extremespeed", "flareblitz", "morningsun", "toxic", "wildcharge", "willowisp"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "extremespeed", "flareblitz", "morningsun", "protect", "snarl", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "DUU",
	},
	poliwag: {
		tier: "LC",
	},
	poliwhirl: {
		tier: "NFE",
	},
	poliwrath: {
		randomBattleMoves: ["closecombat", "darkestlariat", "liquidation", "raindance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "coaching", "darkestlariat", "helpinghand", "icywind", "liquidation", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	politoed: {
		randomBattleMoves: ["encore", "icebeam", "protect", "rest", "scald", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["earthpower", "helpinghand", "icywind", "muddywater", "protect"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "DUU",
	},
	abra: {
		tier: "LC",
	},
	kadabra: {
		tier: "NFE",
	},
	alakazam: {
		randomBattleMoves: ["counter", "focusblast", "nastyplot", "psychic", "shadowball"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["focusblast", "nastyplot", "protect", "psychic", "shadowball"],
		randomDoubleBattleLevel: 80,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	alakazammega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	machop: {
		tier: "LC",
	},
	machoke: {
		tier: "NFE",
	},
	machamp: {
		randomBattleMoves: ["bulletpunch", "closecombat", "dynamicpunch", "facade", "knockoff", "stoneedge"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bulletpunch", "closecombat", "facade", "knockoff", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	machampgmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	bellsprout: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	weepinbell: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	victreebel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	tentacool: {
		tier: "LC",
	},
	tentacruel: {
		randomBattleMoves: ["haze", "knockoff", "rapidspin", "scald", "sludgebomb", "toxicspikes"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["acidspray", "icywind", "knockoff", "muddywater", "rapidspin", "sludgebomb"],
		randomDoubleBattleLevel: 88,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	geodude: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	geodudealola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	graveler: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	graveleralola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	golem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	golemalola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ponyta: {
		tier: "LC",
	},
	ponytagalar: {
		tier: "LC",
	},
	rapidash: {
		randomBattleMoves: ["flareblitz", "highhorsepower", "morningsun", "swordsdance", "wildcharge", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flareblitz", "highhorsepower", "morningsun", "protect", "swordsdance", "wildcharge"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rapidashgalar: {
		randomBattleMoves: ["highhorsepower", "morningsun", "playrough", "swordsdance", "zenheadbutt"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["highhorsepower", "playrough", "protect", "swordsdance", "zenheadbutt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	slowpoke: {
		tier: "LC",
	},
	slowpokegalar: {
		tier: "LC",
	},
	slowbro: {
		randomBattleMoves: ["futuresight", "icebeam", "scald", "slackoff", "teleport", "thunderwave"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["calmmind", "fireblast", "icebeam", "psychic", "scald", "slackoff", "trickroom"],
		randomDoubleBattleLevel: 84,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	slowbromega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	slowbrogalar: {
		randomBattleMoves: ["flamethrower", "psychic", "shellsidearm", "trick", "trickroom"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "healpulse", "protect", "psychic", "shellsidearm", "trickroom"],
		randomDoubleBattleLevel: 85,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	slowking: {
		randomBattleMoves: ["fireblast", "futuresight", "psyshock", "scald", "slackoff", "teleport", "toxic", "trick"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "icebeam", "nastyplot", "psychic", "scald", "slackoff", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	slowkinggalar: {
		randomBattleMoves: ["fireblast", "futuresight", "psyshock", "slackoff", "sludgebomb", "trick"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["eeriespell", "fireblast", "protect", "sludgebomb", "trick", "trickroom"],
		randomDoubleBattleLevel: 86,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	magnemite: {
		tier: "LC",
	},
	magneton: {
		tier: "NFE",
	},
	magnezone: {
		randomBattleMoves: ["bodypress", "flashcannon", "mirrorcoat", "thunderbolt", "voltswitch"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["allyswitch", "bodypress", "electroweb", "flashcannon", "protect", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 88,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	farfetchd: {
		randomBattleMoves: ["bravebird", "closecombat", "knockoff", "leafblade", "swordsdance"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["bravebird", "closecombat", "leafblade", "protect", "quickattack", "swordsdance"],
		randomDoubleBattleLevel: 95,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	farfetchdgalar: {
		tier: "LC",
	},
	sirfetchd: {
		randomBattleMoves: ["bravebird", "closecombat", "firstimpression", "knockoff", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bravebird", "closecombat", "firstimpression", "knockoff", "poisonjab", "protect", "swordsdance"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["bravebird", "closecombat", "firstimpression", "knockoff", "poisonjab", "swordsdance"],
		tier: "NU",
		doublesTier: "(DUU)",
	},
	doduo: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	dodrio: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	seel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	dewgong: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	grimer: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	grimeralola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	muk: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mukalola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shellder: {
		tier: "LC",
	},
	cloyster: {
		randomBattleMoves: ["explosion", "hydropump", "iciclespear", "rockblast", "shellsmash"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["hydropump", "iciclespear", "protect", "rockblast", "shellsmash"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["hydropump", "iciclespear", "rockblast", "shellsmash"],
		tier: "RU",
		doublesTier: "(DUU)",
	},
	gastly: {
		tier: "NFE",
	},
	haunter: {
		tier: "NFE",
	},
	gengar: {
		randomDoubleBattleMoves: ["focusblast", "nastyplot", "protect", "shadowball", "sludgebomb", "thunderbolt", "trick", "willowisp"],
		randomDoubleBattleLevel: 86,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	gengarmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gengargmax: {
		randomBattleMoves: ["focusblast", "nastyplot", "shadowball", "sludgewave", "trick"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["focusblast", "nastyplot", "protect", "shadowball", "sludgebomb", "thunderbolt", "willowisp"],
		randomDoubleBattleLevel: 86,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	onix: {
		tier: "LC",
	},
	steelix: {
		randomBattleMoves: ["dragondance", "earthquake", "headsmash", "heavyslam", "stealthrock", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["headsmash", "heavyslam", "highhorsepower", "protect", "rockpolish"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["curse", "earthquake", "headsmash", "heavyslam", "stealthrock", "toxic"],
		tier: "RU",
		doublesTier: "(DUU)",
	},
	steelixmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	drowzee: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hypno: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	krabby: {
		tier: "LC",
	},
	kingler: {
		randomBattleMoves: ["agility", "liquidation", "rockslide", "superpower", "swordsdance", "xscissor"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["agility", "knockoff", "liquidation", "protect", "superpower", "xscissor"],
		randomDoubleBattleLevel: 86,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	kinglergmax: {
		randomDoubleBattleMoves: ["knockoff", "liquidation", "protect", "superpower", "xscissor"],
		randomDoubleBattleLevel: 86,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	voltorb: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	electrode: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	exeggcute: {
		tier: "LC",
	},
	exeggutor: {
		randomBattleMoves: ["gigadrain", "leechseed", "psychic", "sleeppowder", "substitute"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["energyball", "protect", "psychic", "sleeppowder", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	exeggutoralola: {
		randomBattleMoves: ["dracometeor", "flamethrower", "gigadrain", "leafstorm", "trickroom"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dragonpulse", "energyball", "flamethrower", "protect", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	cubone: {
		tier: "LC",
	},
	marowak: {
		randomBattleMoves: ["doubleedge", "earthquake", "knockoff", "stealthrock", "stoneedge", "substitute"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bonemerang", "knockoff", "protect", "stealthrock", "stoneedge"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	marowakalola: {
		randomBattleMoves: ["earthquake", "flamecharge", "flareblitz", "poltergeist", "stealthrock", "stoneedge"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bonemerang", "flamecharge", "flareblitz", "protect", "shadowbone"],
		randomDoubleBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	marowakalolatotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	tyrogue: {
		tier: "LC",
	},
	hitmonlee: {
		randomBattleMoves: ["closecombat", "curse", "highjumpkick", "knockoff", "poisonjab", "stoneedge"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "fakeout", "knockoff", "poisonjab", "protect", "rockslide"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	hitmonchan: {
		randomBattleMoves: ["bulkup", "drainpunch", "icepunch", "machpunch", "rapidspin", "throatchop"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["coaching", "drainpunch", "feint", "firepunch", "icepunch", "machpunch", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	hitmontop: {
		randomBattleMoves: ["closecombat", "earthquake", "rapidspin", "suckerpunch", "toxic", "tripleaxel"],
		randomBattleLevel: 85,
		randomDoubleBattleMoves: ["closecombat", "coaching", "fakeout", "helpinghand", "rapidspin", "suckerpunch", "tripleaxel"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "DUU",
	},
	lickitung: {
		tier: "LC",
	},
	lickilicky: {
		randomBattleMoves: ["bodyslam", "earthquake", "explosion", "healbell", "knockoff", "protect", "swordsdance", "wish"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodyslam", "explosion", "helpinghand", "icywind", "knockoff", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	koffing: {
		tier: "LC",
	},
	weezing: {
		randomBattleMoves: ["fireblast", "painsplit", "sludgebomb", "toxicspikes", "willowisp"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "painsplit", "sludgebomb", "toxicspikes", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	weezinggalar: {
		randomBattleMoves: ["defog", "fireblast", "painsplit", "sludgebomb", "strangesteam", "toxicspikes", "willowisp"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["clearsmog", "defog", "fireblast", "painsplit", "strangesteam", "toxicspikes", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "RU",
		doublesTier: "DUU",
	},
	rhyhorn: {
		tier: "LC",
	},
	rhydon: {
		tier: "NFE",
		randomBattleMoves: ["earthquake", "megahorn", "stealthrock", "stoneedge", "toxic"],
		randomBattleLevel: 87,
	},
	rhyperior: {
		randomBattleMoves: ["earthquake", "firepunch", "megahorn", "rockpolish", "stoneedge"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["highhorsepower", "icepunch", "megahorn", "protect", "rockslide", "stoneedge"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	happiny: {
		tier: "LC",
	},
	chansey: {
		randomBattleMoves: ["healbell", "seismictoss", "softboiled", "stealthrock", "toxic"],
		randomBattleLevel: 84,
		tier: "UU",
		doublesTier: "NFE",
	},
	blissey: {
		randomBattleMoves: ["seismictoss", "softboiled", "stealthrock", "teleport", "toxic"],
		randomBattleLevel: 83,
		randomDoubleBattleMoves: ["allyswitch", "protect", "seismictoss", "softboiled", "thunderwave", "toxic"],
		randomDoubleBattleLevel: 86,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	tangela: {
		tier: "NFE",
	},
	tangrowth: {
		randomBattleMoves: ["focusblast", "gigadrain", "knockoff", "leechseed", "sleeppowder", "sludgebomb"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["focusblast", "knockoff", "powerwhip", "ragepowder", "sleeppowder"],
		randomDoubleBattleLevel: 85,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	kangaskhan: {
		randomBattleMoves: ["doubleedge", "earthquake", "fakeout", "hammerarm", "suckerpunch"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["doubleedge", "drainpunch", "fakeout", "protect", "rockslide", "suckerpunch"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	kangaskhanmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	horsea: {
		tier: "LC",
	},
	seadra: {
		tier: "NFE",
	},
	kingdra: {
		randomBattleMoves: ["dracometeor", "flipturn", "hurricane", "hydropump", "raindance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["dracometeor", "hurricane", "hydropump", "icebeam", "muddywater", "raindance"],
		randomDoubleBattleLevel: 82,
		randomBattleNoDynamaxMoves: ["dracometeor", "flipturn", "hydropump", "icebeam", "raindance"],
		tier: "PUBL",
		doublesTier: "DUU",
	},
	goldeen: {
		tier: "LC",
	},
	seaking: {
		randomBattleMoves: ["drillrun", "knockoff", "megahorn", "swordsdance", "waterfall"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["drillrun", "knockoff", "megahorn", "protect", "scaleshot", "swordsdance", "waterfall"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	staryu: {
		tier: "LC",
	},
	starmie: {
		randomBattleMoves: ["hydropump", "psyshock", "rapidspin", "recover", "scald", "thunderbolt", "icebeam"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flipturn", "hydropump", "icebeam", "protect", "psyshock", "thunderbolt"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	mimejr: {
		tier: "LC",
	},
	mrmime: {
		randomBattleMoves: ["dazzlinggleam", "focusblast", "healingwish", "nastyplot", "psychic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dazzlinggleam", "fakeout", "icywind", "lightscreen", "psychic", "reflect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mrmimegalar: {
		randomBattleMoves: ["focusblast", "freezedry", "nastyplot", "psychic", "rapidspin"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fakeout", "focusblast", "freezedry", "nastyplot", "protect", "psychic"],
		randomDoubleBattleLevel: 86,
		tier: "NFE",
	},
	mrrime: {
		randomBattleMoves: ["focusblast", "freezedry", "psychic", "rapidspin", "slackoff", "trick"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fakeout", "focusblast", "freezedry", "icywind", "protect", "psychic", "rapidspin"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	scyther: {
		randomBattleMoves: ["brickbreak", "dualwingbeat", "knockoff", "roost", "swordsdance", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["brickbreak", "bugbite", "dualwingbeat", "uturn"],
		randomDoubleBattleLevel: 84,
		tier: "PU",
		doublesTier: "NFE",
	},
	scizor: {
		randomBattleMoves: ["bulletpunch", "dualwingbeat", "knockoff", "roost", "superpower", "swordsdance", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bugbite", "bulletpunch", "dualwingbeat", "feint", "protect", "superpower", "swordsdance", "uturn"],
		randomDoubleBattleLevel: 80,
		randomBattleNoDynamaxMoves: ["bulletpunch", "knockoff", "roost", "superpower", "swordsdance", "uturn"],
		tier: "UU",
		doublesTier: "DUU",
	},
	scizormega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	smoochum: {
		tier: "LC",
	},
	jynx: {
		randomBattleMoves: ["focusblast", "icebeam", "lovelykiss", "nastyplot", "psyshock", "trick"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["focusblast", "icebeam", "lovelykiss", "nastyplot", "psychic"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	elekid: {
		tier: "LC",
	},
	electabuzz: {
		tier: "NFE",
	},
	electivire: {
		randomBattleMoves: ["crosschop", "earthquake", "flamethrower", "icepunch", "voltswitch", "wildcharge"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["crosschop", "flamethrower", "icepunch", "stompingtantrum", "wildcharge"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	magby: {
		tier: "LC",
	},
	magmar: {
		tier: "NFE",
	},
	magmortar: {
		randomBattleMoves: ["earthquake", "fireblast", "focusblast", "taunt", "thunderbolt"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "focusblast", "heatwave", "protect", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pinsir: {
		randomBattleMoves: ["closecombat", "earthquake", "knockoff", "stealthrock", "stoneedge", "xscissor"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "feint", "protect", "rockslide", "swordsdance", "xscissor"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pinsirmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	tauros: {
		randomBattleMoves: ["bodyslam", "closecombat", "rockslide", "throatchop", "zenheadbutt"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodyslam", "closecombat", "lashout", "protect", "rockslide"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	magikarp: {
		tier: "LC",
	},
	gyarados: {
		randomBattleMoves: ["bounce", "dragondance", "earthquake", "powerwhip", "waterfall"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["bounce", "dragondance", "icefang", "powerwhip", "protect", "waterfall"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	gyaradosmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lapras: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	laprasgmax: {
		randomBattleMoves: ["freezedry", "icebeam", "protect", "sparklingaria", "thunderbolt", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["freezedry", "helpinghand", "hydropump", "icywind", "protect", "thunderbolt"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	ditto: {
		randomBattleMoves: ["transform"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["transform"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	eevee: {
		tier: "LC",
	},
	eeveestarter: {
		isNonstandard: "LGPE",
		tier: "Illegal",
	},
	eeveegmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	vaporeon: {
		randomBattleMoves: ["healbell", "icebeam", "protect", "scald", "toxic", "wish"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["healbell", "icywind", "protect", "scald", "toxic", "wish"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	jolteon: {
		randomBattleMoves: ["hypervoice", "shadowball", "thunderbolt", "voltswitch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["faketears", "protect", "shadowball", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	flareon: {
		randomBattleMoves: ["facade", "flamecharge", "flareblitz", "quickattack", "superpower"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["facade", "flamecharge", "flareblitz", "protect", "quickattack", "superpower"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	espeon: {
		randomBattleMoves: ["calmmind", "dazzlinggleam", "morningsun", "psychic", "shadowball"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["calmmind", "dazzlinggleam", "morningsun", "protect", "psychic", "shadowball"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	umbreon: {
		randomBattleMoves: ["foulplay", "protect", "toxic", "wish"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["foulplay", "helpinghand", "moonlight", "protect", "snarl", "toxic"],
		randomDoubleBattleLevel: 88,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	leafeon: {
		randomBattleMoves: ["doubleedge", "knockoff", "leafblade", "swordsdance", "synthesis", "xscissor"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["doubleedge", "knockoff", "leafblade", "protect", "swordsdance"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	glaceon: {
		randomBattleMoves: ["freezedry", "protect", "shadowball", "toxic", "wish"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["blizzard", "freezedry", "helpinghand", "protect", "shadowball", "wish"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sylveon: {
		randomBattleMoves: ["calmmind", "hypervoice", "mysticalfire", "protect", "psyshock", "shadowball", "wish"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["calmmind", "hypervoice", "mysticalfire", "protect", "psyshock"],
		randomDoubleBattleLevel: 80,
		tier: "NU",
		doublesTier: "DUU",
	},
	porygon: {
		tier: "LC",
	},
	porygon2: {
		randomBattleMoves: ["discharge", "icebeam", "recover", "toxic", "triattack"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["icebeam", "protect", "recover", "thunderbolt", "toxic", "triattack"],
		randomDoubleBattleLevel: 82,
		tier: "RU",
		doublesTier: "DOU",
	},
	porygonz: {
		randomBattleMoves: ["darkpulse", "icebeam", "nastyplot", "thunderbolt", "triattack", "trick"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["darkpulse", "icebeam", "protect", "thunderbolt", "triattack", "trick"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["icebeam", "nastyplot", "shadowball", "thunderbolt", "triattack", "trick"],
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	omanyte: {
		tier: "LC",
	},
	omastar: {
		randomBattleMoves: ["earthpower", "hydropump", "icebeam", "shellsmash", "spikes", "stealthrock"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["earthpower", "icebeam", "muddywater", "shellsmash"],
		randomDoubleBattleLevel: 86,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	kabuto: {
		tier: "LC",
	},
	kabutops: {
		randomBattleMoves: ["aquajet", "knockoff", "liquidation", "rapidspin", "stoneedge", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["knockoff", "protect", "stoneedge", "superpower", "swordsdance", "waterfall"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	aerodactyl: {
		randomBattleMoves: ["aquatail", "dualwingbeat", "earthquake", "honeclaws", "stoneedge"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["aquatail", "dragondance", "dualwingbeat", "earthquake", "rockslide"],
		randomDoubleBattleLevel: 83,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	aerodactylmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	munchlax: {
		tier: "LC",
	},
	snorlax: {
		randomBattleMoves: ["darkestlariat", "doubleedge", "earthquake", "facade", "heatcrash"],
		randomBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	snorlaxgmax: {
		randomBattleMoves: ["bodyslam", "curse", "darkestlariat", "earthquake", "rest"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodyslam", "curse", "darkestlariat", "highhorsepower", "recycle"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	articuno: {
		randomBattleMoves: ["defog", "freezedry", "healbell", "roost", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["freezedry", "healbell", "hurricane", "icebeam", "roost", "toxic"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	articunogalar: {
		randomBattleMoves: ["airslash", "calmmind", "freezingglare", "recover"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["calmmind", "freezingglare", "hurricane", "recover", "tailwind"],
		randomDoubleBattleLevel: 81,
		randomBattleNoDynamaxMoves: ["calmmind", "freezingglare", "hurricane", "recover"],
		tier: "NU",
		doublesTier: "(DUU)",
	},
	zapdos: {
		randomBattleMoves: ["defog", "discharge", "heatwave", "hurricane", "roost", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["heatwave", "hurricane", "roost", "tailwind", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	zapdosgalar: {
		randomBattleMoves: ["bravebird", "bulkup", "closecombat", "throatchop", "uturn"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["bravebird", "bulkup", "closecombat", "throatchop", "thunderouskick", "uturn"],
		randomDoubleBattleLevel: 76,
		tier: "UUBL",
		doublesTier: "DOU",
	},
	moltres: {
		randomBattleMoves: ["airslash", "defog", "fireblast", "roost", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bravebird", "fireblast", "heatwave", "protect", "roost", "tailwind"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["defog", "fireblast", "hurricane", "roost", "uturn"],
		tier: "UU",
		doublesTier: "(DUU)",
	},
	moltresgalar: {
		randomBattleMoves: ["fierywrath", "hurricane", "nastyplot", "rest"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["fierywrath", "hurricane", "nastyplot", "protect"],
		randomDoubleBattleLevel: 76,
		randomBattleNoDynamaxMoves: ["agility", "fierywrath", "hurricane", "nastyplot", "rest"],
		tier: "UU",
		doublesTier: "DUU",
	},
	dratini: {
		tier: "LC",
	},
	dragonair: {
		tier: "NFE",
	},
	dragonite: {
		randomBattleMoves: ["dragondance", "dualwingbeat", "earthquake", "extremespeed", "outrage"],
		randomBattleLevel: 75,
		randomDoubleBattleMoves: ["dragonclaw", "dragondance", "dualwingbeat", "extremespeed", "firepunch"],
		randomDoubleBattleLevel: 82,
		randomBattleNoDynamaxMoves: ["dragondance", "dualwingbeat", "earthquake", "outrage", "roost"],
		tier: "OU",
		doublesTier: "(DUU)",
	},
	mewtwo: {
		randomBattleMoves: ["fireblast", "nastyplot", "psystrike", "recover", "shadowball"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["aurasphere", "icebeam", "nastyplot", "psystrike", "recover"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	mewtwomegax: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mewtwomegay: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mew: {
		randomBattleMoves: ["bravebird", "closecombat", "dragondance", "flareblitz", "psychicfangs", "swordsdance"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["fakeout", "pollenpuff", "psychic", "stealthrock", "tailwind", "toxicspikes", "transform"],
		randomDoubleBattleLevel: 80,
		randomBattleNoDynamaxMoves: ["fireblast", "nastyplot", "psychic", "roost", "stealthrock", "toxicspikes"],
		tier: "UU",
		doublesTier: "DOU",
	},
	chikorita: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bayleef: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	meganium: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cyndaquil: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	quilava: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	typhlosion: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	totodile: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	croconaw: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	feraligatr: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sentret: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	furret: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hoothoot: {
		tier: "LC",
	},
	noctowl: {
		randomBattleMoves: ["airslash", "defog", "heatwave", "hurricane", "nastyplot", "roost"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["airslash", "heatwave", "hypervoice", "nastyplot", "roost", "tailwind"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["defog", "heatwave", "hurricane", "nastyplot", "roost"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	ledyba: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ledian: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	spinarak: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ariados: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	chinchou: {
		tier: "LC",
	},
	lanturn: {
		randomBattleMoves: ["healbell", "icebeam", "scald", "thunderbolt", "toxic", "voltswitch"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["healbell", "icebeam", "protect", "scald", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 90,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	togepi: {
		tier: "LC",
	},
	togetic: {
		tier: "NFE",
	},
	togekiss: {
		randomBattleMoves: ["airslash", "aurasphere", "fireblast", "nastyplot", "roost", "thunderwave", "trick"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["airslash", "dazzlinggleam", "followme", "heatwave", "protect", "tailwind"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "DUU",
	},
	natu: {
		tier: "LC",
	},
	xatu: {
		randomBattleMoves: ["heatwave", "psychic", "roost", "teleport", "thunderwave"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["airslash", "heatwave", "lightscreen", "psychic", "reflect", "roost", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	mareep: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	flaaffy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ampharos: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ampharosmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	azurill: {
		tier: "LC",
	},
	marill: {
		tier: "NFE",
	},
	azumarill: {
		randomBattleMoves: ["aquajet", "knockoff", "liquidation", "playrough", "superpower"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aquajet", "knockoff", "liquidation", "playrough", "protect"],
		randomDoubleBattleLevel: 87,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	bonsly: {
		tier: "LC",
	},
	sudowoodo: {
		randomBattleMoves: ["earthquake", "headsmash", "stealthrock", "suckerpunch", "woodhammer"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodypress", "firepunch", "headsmash", "protect", "suckerpunch", "woodhammer"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	hoppip: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	skiploom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	jumpluff: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	aipom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ambipom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sunkern: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sunflora: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	yanma: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	yanmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wooper: {
		tier: "LC",
	},
	quagsire: {
		randomBattleMoves: ["earthquake", "encore", "icebeam", "recover", "scald", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["highhorsepower", "protect", "recover", "scald", "toxic"],
		randomDoubleBattleLevel: 88,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	murkrow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	honchkrow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	misdreavus: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mismagius: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	unown: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wynaut: {
		tier: "LC",
	},
	wobbuffet: {
		randomBattleMoves: ["charm", "counter", "encore", "mirrorcoat"],
		randomBattleLevel: 91,
		randomDoubleBattleMoves: ["charm", "counter", "encore", "mirrorcoat"],
		randomDoubleBattleLevel: 100,
		randomBattleNoDynamaxMoves: ["counter", "destinybond", "encore", "mirrorcoat"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	girafarig: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pineco: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	forretress: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	dunsparce: {
		randomBattleMoves: ["bodyslam", "coil", "roost", "earthquake"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["glare", "headbutt", "protect", "rockslide"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gligar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gliscor: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	snubbull: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	granbull: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	qwilfish: {
		randomBattleMoves: ["destinybond", "spikes", "taunt", "thunderwave", "toxicspikes", "waterfall"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["liquidation", "poisonjab", "protect", "taunt", "thunderwave", "toxicspikes"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	shuckle: {
		randomBattleMoves: ["encore", "knockoff", "stealthrock", "stickyweb", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["acupressure", "guardsplit", "helpinghand", "infestation", "knockoff", "stealthrock", "stickyweb", "toxic"],
		randomDoubleBattleLevel: 98,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	heracross: {
		randomBattleMoves: ["closecombat", "facade", "knockoff", "megahorn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "facade", "knockoff", "megahorn", "protect", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	heracrossmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sneasel: {
		tier: "NFE",
	},
	weavile: {
		randomBattleMoves: ["iceshard", "iciclecrash", "knockoff", "lowkick", "swordsdance"],
		randomBattleLevel: 79,
		randomDoubleBattleMoves: ["fakeout", "iceshard", "knockoff", "swordsdance", "tripleaxel"],
		randomDoubleBattleLevel: 84,
		tier: "UUBL",
		doublesTier: "DUU",
	},
	teddiursa: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	ursaring: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	slugma: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	magcargo: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swinub: {
		tier: "LC",
	},
	piloswine: {
		tier: "NFE",
	},
	mamoswine: {
		randomBattleMoves: ["earthquake", "iceshard", "iciclecrash", "knockoff", "stealthrock", "superpower"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["highhorsepower", "iceshard", "iciclecrash", "protect", "rockslide"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	corsola: {
		randomBattleMoves: ["powergem", "recover", "scald", "stealthrock", "toxic"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["icywind", "lifedew", "recover", "scald", "toxic"],
		randomDoubleBattleLevel: 95,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	corsolagalar: {
		randomBattleMoves: ["haze", "nightshade", "stealthrock", "strengthsap", "willowisp"],
		randomBattleLevel: 84,
		tier: "NFE",
	},
	cursola: {
		randomBattleMoves: ["earthpower", "hydropump", "icebeam", "shadowball", "stealthrock", "strengthsap"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["earthpower", "hydropump", "icebeam", "protect", "shadowball", "strengthsap"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	remoraid: {
		tier: "LC",
	},
	octillery: {
		randomBattleMoves: ["energyball", "fireblast", "gunkshot", "hydropump", "icebeam", "protect"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "gunkshot", "hydropump", "icebeam", "protect", "substitute"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	delibird: {
		randomBattleMoves: ["freezedry", "memento", "rapidspin", "spikes"],
		randomBattleLevel: 100,
		randomDoubleBattleMoves: ["bravebird", "defog", "fakeout", "helpinghand", "icepunch", "memento", "tailwind"],
		randomDoubleBattleLevel: 100,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mantyke: {
		tier: "LC",
	},
	mantine: {
		randomBattleMoves: ["defog", "hurricane", "icebeam", "roost", "scald", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["haze", "helpinghand", "hurricane", "roost", "scald", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	skarmory: {
		randomBattleMoves: ["bodypress", "bravebird", "roost", "spikes", "stealthrock", "whirlwind"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bodypress", "bravebird", "irondefense", "roost"],
		randomDoubleBattleLevel: 84,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	houndour: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	houndoom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	houndoommega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	phanpy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	donphan: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	stantler: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	smeargle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	miltank: {
		randomBattleMoves: ["bodyslam", "earthquake", "healbell", "milkdrink", "stealthrock", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bodypress", "bodyslam", "helpinghand", "icywind", "milkdrink", "protect", "rockslide"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	raikou: {
		randomBattleMoves: ["aurasphere", "calmmind", "scald", "substitute", "thunderbolt", "voltswitch"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["aurasphere", "calmmind", "protect", "scald", "snarl", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	entei: {
		randomBattleMoves: ["extremespeed", "flareblitz", "stompingtantrum", "stoneedge", "sacredfire"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["extremespeed", "protect", "sacredfire", "snarl", "stompingtantrum", "stoneedge"],
		randomDoubleBattleLevel: 80,
		tier: "NUBL",
		doublesTier: "DUU",
	},
	suicune: {
		randomBattleMoves: ["airslash", "calmmind", "icebeam", "rest", "scald", "sleeptalk"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["icebeam", "scald", "snarl", "tailwind", "toxic"],
		randomDoubleBattleLevel: 82,
		randomBattleNoDynamaxMoves: ["calmmind", "icebeam", "rest", "scald", "sleeptalk"],
		tier: "RU",
		doublesTier: "(DUU)",
	},
	larvitar: {
		tier: "LC",
	},
	pupitar: {
		tier: "NFE",
	},
	tyranitar: {
		randomBattleMoves: ["crunch", "dragondance", "earthquake", "firepunch", "stealthrock", "stoneedge"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["dragondance", "firepunch", "highhorsepower", "lashout", "protect", "rockslide", "stoneedge"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	tyranitarmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lugia: {
		randomBattleMoves: ["airslash", "earthquake", "roost", "substitute", "toxic"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["aeroblast", "calmmind", "psyshock", "roost", "toxic"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	hooh: {
		randomBattleMoves: ["bravebird", "defog", "earthquake", "roost", "sacredfire", "toxic"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["bravebird", "earthpower", "protect", "roost", "sacredfire", "tailwind"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	celebi: {
		randomBattleMoves: ["earthpower", "gigadrain", "leafstorm", "nastyplot", "psychic", "recover", "stealthrock", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["earthpower", "energyball", "nastyplot", "protect", "psychic", "recover"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	treecko: {
		tier: "LC",
	},
	grovyle: {
		tier: "NFE",
	},
	sceptile: {
		randomBattleMoves: ["earthquake", "focusblast", "gigadrain", "leafstorm", "leechseed", "rockslide", "substitute"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["breakingswipe", "dragonpulse", "focusblast", "leafstorm", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	sceptilemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	torchic: {
		tier: "LC",
	},
	combusken: {
		tier: "NFE",
	},
	blaziken: {
		randomBattleMoves: ["closecombat", "flareblitz", "knockoff", "swordsdance", "stoneedge"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["closecombat", "flareblitz", "knockoff", "protect", "swordsdance"],
		randomDoubleBattleLevel: 78,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	blazikenmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mudkip: {
		tier: "LC",
	},
	marshtomp: {
		tier: "NFE",
	},
	swampert: {
		randomBattleMoves: ["earthquake", "icebeam", "protect", "scald", "stealthrock", "toxic", "flipturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["highhorsepower", "icywind", "muddywater", "protect", "stealthrock", "wideguard"],
		randomDoubleBattleLevel: 86,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	swampertmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	poochyena: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mightyena: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	zigzagoon: {
		tier: "LC",
	},
	zigzagoongalar: {
		tier: "LC",
	},
	linoone: {
		randomBattleMoves: ["bellydrum", "extremespeed", "stompingtantrum", "throatchop"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bellydrum", "extremespeed", "protect", "throatchop"],
		randomDoubleBattleLevel: 90,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	linoonegalar: {
		tier: "NFE",
	},
	obstagoon: {
		randomBattleMoves: ["bulkup", "closecombat", "facade", "knockoff", "partingshot"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["closecombat", "facade", "knockoff", "obstruct", "partingshot", "taunt"],
		randomDoubleBattleLevel: 86,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	wurmple: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	silcoon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	beautifly: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cascoon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	dustox: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lotad: {
		tier: "LC",
	},
	lombre: {
		tier: "NFE",
	},
	ludicolo: {
		randomBattleMoves: ["gigadrain", "hydropump", "icebeam", "raindance", "scald"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["energyball", "fakeout", "hydropump", "icebeam", "raindance"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	seedot: {
		tier: "LC",
	},
	nuzleaf: {
		tier: "NFE",
	},
	shiftry: {
		randomBattleMoves: ["darkpulse", "defog", "heatwave", "leafstorm", "nastyplot", "suckerpunch"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fakeout", "knockoff", "leafblade", "suckerpunch", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["defog", "knockoff", "leafblade", "lowkick", "rockslide", "suckerpunch", "swordsdance"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	taillow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swellow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wingull: {
		tier: "LC",
	},
	pelipper: {
		randomBattleMoves: ["defog", "hurricane", "hydropump", "roost", "scald", "uturn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["hurricane", "hydropump", "protect", "roost", "tailwind", "wideguard"],
		randomDoubleBattleLevel: 83,
		tier: "OU",
		doublesTier: "DOU",
	},
	ralts: {
		tier: "LC",
	},
	kirlia: {
		tier: "NFE",
	},
	gardevoir: {
		randomBattleMoves: ["calmmind", "moonblast", "mysticalfire", "psyshock", "substitute", "trick", "willowisp"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["calmmind", "dazzlinggleam", "moonblast", "mysticalfire", "protect", "psyshock", "trick"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	gardevoirmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gallade: {
		randomBattleMoves: ["closecombat", "knockoff", "shadowsneak", "swordsdance", "trick", "zenheadbutt"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "feint", "knockoff", "protect", "swordsdance", "tripleaxel", "zenheadbutt"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gallademega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	surskit: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	masquerain: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shroomish: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	breloom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	slakoth: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	vigoroth: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	slaking: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	nincada: {
		tier: "LC",
	},
	ninjask: {
		randomBattleMoves: ["acrobatics", "leechlife", "swordsdance", "uturn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["acrobatics", "defog", "leechlife", "protect", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	shedinja: {
		randomBattleMoves: ["poltergeist", "shadowsneak", "swordsdance", "willowisp", "xscissor"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["allyswitch", "poltergeist", "protect", "shadowsneak", "swordsdance", "willowisp", "xscissor"],
		randomDoubleBattleLevel: 95,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	whismur: {
		tier: "LC",
	},
	loudred: {
		tier: "NFE",
	},
	exploud: {
		randomBattleMoves: ["boomburst", "fireblast", "focusblast", "surf"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["boomburst", "fireblast", "focusblast", "hypervoice", "icywind", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	makuhita: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hariyama: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	nosepass: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	probopass: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	skitty: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	delcatty: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sableye: {
		randomBattleMoves: ["knockoff", "recover", "taunt", "toxic", "willowisp"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["disable", "encore", "fakeout", "foulplay", "knockoff", "quash", "recover", "willowisp"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["encore", "knockoff", "recover", "taunt", "toxic", "willowisp"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sableyemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mawile: {
		randomBattleMoves: ["ironhead", "playrough", "stealthrock", "suckerpunch", "swordsdance"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["firefang", "ironhead", "playrough", "protect", "suckerpunch", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mawilemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	aron: {
		tier: "LC",
	},
	lairon: {
		tier: "NFE",
	},
	aggron: {
		randomBattleMoves: ["bodypress", "earthquake", "headsmash", "heavyslam", "rockpolish", "stealthrock"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aquatail", "bodypress", "headsmash", "heavyslam", "highhorsepower", "rockpolish"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	aggronmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	meditite: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	medicham: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	medichammega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	electrike: {
		tier: "LC",
	},
	manectric: {
		randomBattleMoves: ["flamethrower", "overheat", "switcheroo", "thunderbolt", "voltswitch"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["overheat", "protect", "snarl", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	manectricmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	plusle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	minun: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	volbeat: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	illumise: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	budew: {
		tier: "LC",
	},
	roselia: {
		tier: "NFE",
	},
	roserade: {
		randomBattleMoves: ["leafstorm", "sleeppowder", "sludgebomb", "spikes", "synthesis", "toxicspikes"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["energyball", "leafstorm", "protect", "sleeppowder", "sludgebomb"],
		randomDoubleBattleLevel: 86,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	gulpin: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swalot: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	carvanha: {
		tier: "LC",
	},
	sharpedo: {
		randomBattleMoves: ["closecombat", "crunch", "hydropump", "protect"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "crunch", "flipturn", "icebeam", "protect", "waterfall"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	sharpedomega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wailmer: {
		tier: "LC",
	},
	wailord: {
		randomBattleMoves: ["hydropump", "hypervoice", "icebeam", "waterspout"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["hydropump", "hypervoice", "icebeam", "waterspout"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	numel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	camerupt: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cameruptmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	torkoal: {
		randomBattleMoves: ["earthquake", "lavaplume", "rapidspin", "solarbeam", "stealthrock"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodypress", "earthpower", "fireblast", "heatwave", "protect", "solarbeam", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "DOU",
	},
	spoink: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	grumpig: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	spinda: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	trapinch: {
		tier: "LC",
	},
	vibrava: {
		tier: "NFE",
	},
	flygon: {
		randomBattleMoves: ["defog", "dragondance", "earthquake", "firepunch", "outrage", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["dragonclaw", "dragondance", "earthquake", "firepunch", "protect", "rockslide", "tailwind"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	cacnea: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cacturne: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swablu: {
		tier: "LC",
	},
	altaria: {
		randomBattleMoves: ["defog", "dracometeor", "earthquake", "fireblast", "roost", "toxic"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["defog", "dracometeor", "fireblast", "roost", "tailwind", "toxic"],
		randomDoubleBattleLevel: 91,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	altariamega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	zangoose: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	seviper: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lunatone: {
		randomBattleMoves: ["earthpower", "moonblast", "nastyplot", "powergem", "psychic", "stealthrock"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["earthpower", "icebeam", "meteorbeam", "protect", "psychic", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	solrock: {
		randomBattleMoves: ["earthquake", "explosion", "morningsun", "rockslide", "stealthrock", "willowisp"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["allyswitch", "flareblitz", "helpinghand", "rockslide", "stoneedge", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	barboach: {
		tier: "LC",
	},
	whiscash: {
		randomBattleMoves: ["dragondance", "earthquake", "liquidation", "stoneedge", "zenheadbutt"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dragondance", "earthquake", "liquidation", "protect", "stoneedge"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	corphish: {
		tier: "LC",
	},
	crawdaunt: {
		randomBattleMoves: ["aquajet", "closecombat", "crabhammer", "dragondance", "knockoff"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aquajet", "closecombat", "crabhammer", "knockoff", "protect", "swordsdance"],
		randomDoubleBattleLevel: 86,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	baltoy: {
		tier: "LC",
	},
	claydol: {
		randomBattleMoves: ["earthquake", "icebeam", "psychic", "rapidspin", "stealthrock", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["allyswitch", "earthpower", "icebeam", "psychic", "rapidspin", "stealthrock"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	lileep: {
		tier: "LC",
	},
	cradily: {
		randomBattleMoves: ["powerwhip", "recover", "stealthrock", "stoneedge", "swordsdance", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["powerwhip", "protect", "recover", "stealthrock", "stoneedge", "stringshot", "toxic"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	anorith: {
		tier: "LC",
	},
	armaldo: {
		randomBattleMoves: ["earthquake", "knockoff", "rapidspin", "stealthrock", "stoneedge", "swordsdance", "liquidation"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["knockoff", "liquidation", "stoneedge", "superpower", "xscissor"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["earthquake", "knockoff", "rapidspin", "stealthrock", "stoneedge", "swordsdance"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	feebas: {
		tier: "LC",
	},
	milotic: {
		randomBattleMoves: ["haze", "icebeam", "recover", "scald", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["coil", "hypnosis", "muddywater", "recover"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	castform: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	castformsunny: {
		isNonstandard: "Past",
	},
	castformrainy: {
		isNonstandard: "Past",
	},
	castformsnowy: {
		isNonstandard: "Past",
	},
	kecleon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shuppet: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	banette: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	banettemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	duskull: {
		tier: "LC",
	},
	dusclops: {
		randomDoubleBattleMoves: ["allyswitch", "haze", "helpinghand", "nightshade", "painsplit", "trickroom", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "NFE",
		doublesTier: "DOU",
	},
	dusknoir: {
		randomBattleMoves: ["earthquake", "icepunch", "painsplit", "poltergeist", "shadowsneak", "substitute", "willowisp"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["earthquake", "haze", "icepunch", "poltergeist", "shadowsneak", "trickroom", "willowisp"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	tropius: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	chingling: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	chimecho: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	absol: {
		randomBattleMoves: ["closecombat", "knockoff", "playrough", "suckerpunch", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "knockoff", "protect", "suckerpunch", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	absolmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	snorunt: {
		tier: "LC",
	},
	glalie: {
		randomBattleMoves: ["disable", "earthquake", "freezedry", "protect", "substitute"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["disable", "earthquake", "freezedry", "protect", "substitute"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	glaliemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	froslass: {
		randomBattleMoves: ["destinybond", "poltergeist", "spikes", "taunt", "tripleaxel", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["destinybond", "icebeam", "icywind", "protect", "shadowball", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	spheal: {
		tier: "LC",
	},
	sealeo: {
		tier: "NFE",
	},
	walrein: {
		randomBattleMoves: ["icebeam", "protect", "surf", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["brine", "icebeam", "icywind", "superfang"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	clamperl: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	huntail: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gorebyss: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	relicanth: {
		randomBattleMoves: ["bodypress", "earthquake", "headsmash", "liquidation", "stealthrock", "yawn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodypress", "headsmash", "liquidation", "stealthrock", "yawn"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	luvdisc: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bagon: {
		tier: "LC",
	},
	shelgon: {
		tier: "NFE",
	},
	salamence: {
		randomBattleMoves: ["defog", "dragondance", "dualwingbeat", "earthquake", "outrage", "roost"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["dragonclaw", "fireblast", "hurricane", "protect", "tailwind"],
		randomDoubleBattleLevel: 80,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	salamencemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	beldum: {
		tier: "LC",
	},
	metang: {
		tier: "NFE",
	},
	metagross: {
		randomBattleMoves: ["agility", "bulletpunch", "earthquake", "explosion", "meteormash", "stealthrock", "thunderpunch"],
		randomBattleLevel: 79,
		randomDoubleBattleMoves: ["agility", "bulletpunch", "icepunch", "meteormash", "stompingtantrum", "trick", "zenheadbutt"],
		randomDoubleBattleLevel: 83,
		tier: "RU",
		doublesTier: "DOU",
	},
	metagrossmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	regirock: {
		randomBattleMoves: ["bodypress", "curse", "earthquake", "explosion", "rest", "rockslide", "stoneedge"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bodypress", "curse", "rest", "rockslide"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	regice: {
		randomBattleMoves: ["focusblast", "icebeam", "rest", "rockpolish", "sleeptalk", "thunderbolt"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["focusblast", "icebeam", "icywind", "rockpolish", "thunderbolt"],
		randomDoubleBattleLevel: 87,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	registeel: {
		randomBattleMoves: ["bodypress", "curse", "ironhead", "protect", "rest", "sleeptalk", "stealthrock", "toxic"],
		randomBattleLevel: 83,
		randomDoubleBattleMoves: ["bodypress", "curse", "ironhead", "rest", "toxic"],
		randomDoubleBattleLevel: 86,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	latias: {
		randomBattleMoves: ["calmmind", "dracometeor", "healingwish", "mysticalfire", "psychic", "roost"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["calmmind", "dracometeor", "healpulse", "mysticalfire", "psyshock", "roost", "tailwind"],
		randomDoubleBattleLevel: 82,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	latiasmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	latios: {
		randomBattleMoves: ["mysticalfire", "calmmind", "dracometeor", "psyshock", "roost", "trick"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["dracometeor", "dragonpulse", "mysticalfire", "psychic", "psyshock", "roost", "tailwind", "trick"],
		randomDoubleBattleLevel: 80,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	latiosmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	kyogre: {
		randomBattleMoves: ["calmmind", "icebeam", "originpulse", "thunder", "waterspout"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["icebeam", "originpulse", "thunder", "waterspout"],
		randomDoubleBattleLevel: 69,
		tier: "Uber",
		doublesTier: "DUber",
	},
	kyogreprimal: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	groudon: {
		randomBattleMoves: ["precipiceblades", "heatcrash", "heavyslam", "stealthrock", "stoneedge", "swordsdance", "thunderwave"],
		randomBattleLevel: 73,
		randomDoubleBattleMoves: ["heatcrash", "precipiceblades", "rockpolish", "stoneedge", "swordsdance"],
		randomDoubleBattleLevel: 72,
		randomBattleNoDynamaxMoves: ["precipiceblades", "heatcrash", "stealthrock", "stoneedge", "swordsdance", "thunderwave"],
		tier: "Uber",
		doublesTier: "DUber",
	},
	groudonprimal: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	rayquaza: {
		randomBattleMoves: ["dracometeor", "dragonascent", "extremespeed", "swordsdance", "vcreate", "earthquake"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dracometeor", "dragonascent", "dragonclaw", "dragondance", "earthpower", "extremespeed", "vcreate"],
		randomDoubleBattleLevel: 74,
		randomBattleNoDynamaxMoves: ["dracometeor", "dragonascent", "dragondance", "extremespeed", "vcreate", "earthquake"],
		tier: "Uber",
		doublesTier: "DUber",
	},
	rayquazamega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	jirachi: {
		randomBattleMoves: ["bodyslam", "firepunch", "ironhead", "stealthrock", "toxic", "trick", "uturn"],
		randomBattleLevel: 79,
		randomDoubleBattleMoves: ["firepunch", "followme", "ironhead", "lifedew", "protect", "thunderwave"],
		randomDoubleBattleLevel: 77,
		tier: "UU",
		doublesTier: "DUber",
	},
	deoxys: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	deoxysattack: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	deoxysdefense: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	deoxysspeed: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	turtwig: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	grotle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	torterra: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	chimchar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	monferno: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	infernape: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	piplup: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	prinplup: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	empoleon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	starly: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	staravia: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	staraptor: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bidoof: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bibarel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	kricketot: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	kricketune: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shinx: {
		tier: "LC",
	},
	luxio: {
		tier: "NFE",
	},
	luxray: {
		randomBattleMoves: ["agility", "crunch", "facade", "superpower", "voltswitch", "wildcharge"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["playrough", "protect", "superpower", "voltswitch", "wildcharge"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	cranidos: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	rampardos: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shieldon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bastiodon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	burmy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wormadam: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wormadamsandy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	wormadamtrash: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mothim: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	combee: {
		tier: "LC",
	},
	vespiquen: {
		randomBattleMoves: ["airslash", "defog", "roost", "toxic", "uturn"],
		randomBattleLevel: 96,
		randomDoubleBattleMoves: ["airslash", "roost", "tailwind", "toxicspikes"],
		randomDoubleBattleLevel: 98,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pachirisu: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	buizel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	floatzel: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cherubi: {
		tier: "NFE",
	},
	cherrim: {
		randomBattleMoves: ["dazzlinggleam", "energyball", "healingwish", "petaldance", "pollenpuff"],
		randomBattleLevel: 91,
		randomDoubleBattleMoves: ["aromatherapy", "energyball", "helpinghand", "pollenpuff", "protect"],
		randomDoubleBattleLevel: 91,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	cherrimsunshine: {
		randomDoubleBattleMoves: ["playrough", "solarblade", "sunnyday", "weatherball"],
		randomDoubleBattleLevel: 90,
	},
	shellos: {
		tier: "LC",
	},
	gastrodon: {
		randomBattleMoves: ["clearsmog", "earthquake", "icebeam", "recover", "scald", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["clearsmog", "earthpower", "icywind", "protect", "recover", "scald", "yawn"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "DUU",
	},
	drifloon: {
		tier: "NFE",
	},
	drifblim: {
		randomBattleMoves: ["calmmind", "shadowball", "strengthsap", "thunderbolt"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["destinybond", "hex", "tailwind", "thunderwave", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	buneary: {
		tier: "LC",
	},
	lopunny: {
		randomBattleMoves: ["closecombat", "facade", "healingwish", "switcheroo"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["closecombat", "fakeout", "switcheroo", "uturn"],
		randomDoubleBattleLevel: 92,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	lopunnymega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	glameow: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	purugly: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	stunky: {
		tier: "LC",
	},
	skuntank: {
		randomBattleMoves: ["crunch", "defog", "fireblast", "poisonjab", "suckerpunch", "taunt", "toxic"],
		randomBattleLevel: 85,
		randomDoubleBattleMoves: ["crunch", "fireblast", "haze", "poisonjab", "suckerpunch", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	bronzor: {
		tier: "LC",
	},
	bronzong: {
		randomBattleMoves: ["earthquake", "ironhead", "protect", "stealthrock", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["allyswitch", "bodypress", "explosion", "ironhead", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	chatot: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	spiritomb: {
		randomBattleMoves: ["foulplay", "shadowsneak", "suckerpunch", "poltergeist", "trick"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["foulplay", "poltergeist", "protect", "snarl", "suckerpunch", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gible: {
		tier: "LC",
	},
	gabite: {
		tier: "NFE",
	},
	garchomp: {
		randomBattleMoves: ["earthquake", "fireblast", "firefang", "outrage", "stealthrock", "stoneedge", "swordsdance"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dragonclaw", "earthquake", "fireblast", "protect", "rockslide", "swordsdance"],
		randomDoubleBattleLevel: 79,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	garchompmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	riolu: {
		tier: "LC",
	},
	lucario: {
		randomBattleMoves: ["closecombat", "extremespeed", "icepunch", "meteormash", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "darkpulse", "extremespeed", "icepunch", "meteormash", "protect", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	lucariomega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hippopotas: {
		tier: "LC",
	},
	hippowdon: {
		randomBattleMoves: ["earthquake", "slackoff", "stealthrock", "stoneedge", "toxic", "whirlwind"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["highhorsepower", "protect", "rockslide", "slackoff", "stealthrock", "whirlwind", "yawn"],
		randomDoubleBattleLevel: 88,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	skorupi: {
		tier: "LC",
	},
	drapion: {
		randomBattleMoves: ["aquatail", "earthquake", "knockoff", "poisonjab", "swordsdance", "taunt", "toxicspikes"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["knockoff", "poisonjab", "protect", "rockslide", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	croagunk: {
		tier: "LC",
	},
	toxicroak: {
		randomBattleMoves: ["drainpunch", "gunkshot", "icepunch", "substitute", "suckerpunch", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["drainpunch", "fakeout", "gunkshot", "icepunch", "protect", "suckerpunch", "swordsdance", "taunt"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	carnivine: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	finneon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lumineon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	snover: {
		tier: "LC",
	},
	abomasnow: {
		randomBattleMoves: ["auroraveil", "blizzard", "earthquake", "iceshard", "woodhammer"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["auroraveil", "blizzard", "focusblast", "iceshard", "protect", "woodhammer"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	abomasnowmega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	rotom: {
		randomBattleMoves: ["nastyplot", "shadowball", "thunderbolt", "voltswitch", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["allyswitch", "electroweb", "protect", "shadowball", "thunderbolt", "voltswitch", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rotomheat: {
		randomBattleMoves: ["defog", "nastyplot", "overheat", "thunderbolt", "voltswitch", "willowisp"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["electroweb", "overheat", "protect", "thunderbolt", "voltswitch", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	rotomwash: {
		randomBattleMoves: ["hydropump", "thunderbolt", "trick", "voltswitch", "willowisp"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["allyswitch", "hydropump", "protect", "thunderbolt", "thunderwave", "voltswitch", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "DUU",
	},
	rotomfrost: {
		randomBattleMoves: ["blizzard", "nastyplot", "thunderbolt", "voltswitch", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["blizzard", "nastyplot", "protect", "thunderbolt", "willowisp"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rotomfan: {
		randomBattleMoves: ["airslash", "nastyplot", "thunderbolt", "voltswitch", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["airslash", "darkpulse", "nastyplot", "protect", "thunderbolt"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rotommow: {
		randomBattleMoves: ["leafstorm", "thunderbolt", "trick", "voltswitch", "willowisp", "nastyplot"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["electroweb", "leafstorm", "protect", "thunderbolt", "voltswitch", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	uxie: {
		randomBattleMoves: ["healbell", "knockoff", "psychic", "stealthrock", "uturn", "yawn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["helpinghand", "knockoff", "psychic", "stealthrock", "thunderwave", "yawn"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mesprit: {
		randomBattleMoves: ["energyball", "healingwish", "icebeam", "nastyplot", "psychic", "stealthrock", "thunderwave", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["dazzlinggleam", "knockoff", "nastyplot", "psychic", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	azelf: {
		randomBattleMoves: ["dazzlinggleam", "fireblast", "nastyplot", "psyshock", "stealthrock", "taunt", "uturn", "psychic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["energyball", "fireblast", "nastyplot", "protect", "psychic", "shadowball", "uturn"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	dialga: {
		randomBattleMoves: ["dracometeor", "fireblast", "flashcannon", "stealthrock", "thunderbolt", "toxic"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dracometeor", "earthpower", "flashcannon", "protect", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	palkia: {
		randomBattleMoves: ["dracometeor", "fireblast", "hydropump", "spacialrend", "thunderwave"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["fireblast", "hydropump", "protect", "spacialrend", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	heatran: {
		randomBattleMoves: ["earthpower", "flashcannon", "lavaplume", "protect", "stealthrock", "taunt", "toxic"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["earthpower", "eruption", "flashcannon", "magmastorm", "protect"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	regigigas: {
		randomBattleMoves: ["bodyslam", "protect", "substitute", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodyslam", "knockoff", "protect", "thunderwave"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	giratina: {
		randomBattleMoves: ["hex", "rest", "sleeptalk", "toxic", "willowisp"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["calmmind", "dragonpulse", "rest", "shadowball", "willowisp"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	giratinaorigin: {
		randomBattleMoves: ["dualwingbeat", "honeclaws", "outrage", "poltergeist", "shadowsneak"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["breakingswipe", "dracometeor", "shadowball", "shadowsneak", "protect", "tailwind", "willowisp"],
		randomDoubleBattleLevel: 74,
		randomBattleNoDynamaxMoves: ["defog", "dracometeor", "earthquake", "poltergeist", "shadowsneak", "willowisp"],
		tier: "Uber",
		doublesTier: "DUber",
	},
	cresselia: {
		randomBattleMoves: ["calmmind", "moonblast", "moonlight", "psyshock", "thunderwave", "toxic"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["allyswitch", "helpinghand", "icywind", "moonlight", "psychic"],
		randomDoubleBattleLevel: 84,
		tier: "NUBL",
		doublesTier: "DUU",
	},
	phione: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	manaphy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	darkrai: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shaymin: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	shayminsky: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	arceus: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	arceusbug: {
		isNonstandard: "Past",
	},
	arceusdark: {
		isNonstandard: "Past",
	},
	arceusdragon: {
		isNonstandard: "Past",
	},
	arceuselectric: {
		isNonstandard: "Past",
	},
	arceusfairy: {
		isNonstandard: "Past",
	},
	arceusfighting: {
		isNonstandard: "Past",
	},
	arceusfire: {
		isNonstandard: "Past",
	},
	arceusflying: {
		isNonstandard: "Past",
	},
	arceusghost: {
		isNonstandard: "Past",
	},
	arceusgrass: {
		isNonstandard: "Past",
	},
	arceusground: {
		isNonstandard: "Past",
	},
	arceusice: {
		isNonstandard: "Past",
	},
	arceuspoison: {
		isNonstandard: "Past",
	},
	arceuspsychic: {
		isNonstandard: "Past",
	},
	arceusrock: {
		isNonstandard: "Past",
	},
	arceussteel: {
		isNonstandard: "Past",
	},
	arceuswater: {
		isNonstandard: "Past",
	},
	victini: {
		randomBattleMoves: ["blueflare", "boltstrike", "energyball", "glaciate", "uturn", "vcreate", "zenheadbutt"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["boltstrike", "glaciate", "protect", "uturn", "vcreate", "zenheadbutt"],
		randomDoubleBattleLevel: 82,
		tier: "UUBL",
		doublesTier: "DUU",
	},
	snivy: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	servine: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	serperior: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	tepig: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pignite: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	emboar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	oshawott: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	dewott: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	samurott: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	patrat: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	watchog: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	lillipup: {
		tier: "LC",
	},
	herdier: {
		tier: "NFE",
	},
	stoutland: {
		randomBattleMoves: ["crunch", "facade", "playrough", "superpower", "wildcharge"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["crunch", "facade", "helpinghand", "protect", "superpower", "thunderwave"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	purrloin: {
		tier: "LC",
	},
	liepard: {
		randomBattleMoves: ["copycat", "encore", "knockoff", "playrough", "thunderwave", "uturn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["copycat", "encore", "fakeout", "foulplay", "snarl", "taunt", "thunderwave"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pansage: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	simisage: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pansear: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	simisear: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	panpour: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	simipour: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	munna: {
		tier: "LC",
	},
	musharna: {
		randomBattleMoves: ["calmmind", "moonblast", "moonlight", "psychic", "thunderwave"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["helpinghand", "hypnosis", "moonblast", "protect", "psychic", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pidove: {
		tier: "LC",
	},
	tranquill: {
		tier: "NFE",
	},
	unfezant: {
		randomBattleMoves: ["bravebird", "defog", "nightslash", "roost", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bravebird", "nightslash", "quickattack", "roost", "tailwind", "uturn"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	blitzle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	zebstrika: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	roggenrola: {
		tier: "LC",
	},
	boldore: {
		tier: "NFE",
	},
	gigalith: {
		randomBattleMoves: ["earthquake", "explosion", "stealthrock", "stoneedge", "superpower"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodypress", "explosion", "heavyslam", "protect", "rockslide", "stealthrock", "stompingtantrum", "stoneedge", "wideguard"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "DUU",
	},
	woobat: {
		tier: "NFE",
	},
	swoobat: {
		randomBattleMoves: ["airslash", "calmmind", "heatwave", "roost", "storedpower"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["airslash", "calmmind", "heatwave", "psychic"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	drilbur: {
		tier: "LC",
	},
	excadrill: {
		randomBattleMoves: ["earthquake", "ironhead", "rapidspin", "rockslide", "swordsdance"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["highhorsepower", "ironhead", "protect", "rapidspin", "rockslide", "swordsdance"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DUU",
	},
	audino: {
		randomBattleMoves: ["healbell", "knockoff", "protect", "toxic", "wish"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["bodyslam", "healpulse", "helpinghand", "knockoff", "protect", "thunderwave"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	audinomega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	timburr: {
		tier: "LC",
	},
	gurdurr: {
		randomBattleMoves: ["bulkup", "defog", "drainpunch", "knockoff", "machpunch"],
		randomBattleLevel: 83,
		tier: "NFE",
	},
	conkeldurr: {
		randomBattleMoves: ["closecombat", "drainpunch", "facade", "knockoff", "machpunch"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["closecombat", "drainpunch", "highhorsepower", "icepunch", "knockoff", "machpunch", "protect", "stoneedge"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	tympole: {
		tier: "LC",
	},
	palpitoad: {
		tier: "NFE",
	},
	seismitoad: {
		randomBattleMoves: ["earthquake", "liquidation", "raindance", "sludgebomb", "stealthrock"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["earthpower", "knockoff", "muddywater", "powerwhip", "protect", "raindance"],
		randomDoubleBattleLevel: 86,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	throh: {
		randomBattleMoves: ["bulkup", "circlethrow", "icepunch", "knockoff", "rest", "sleeptalk", "stormthrow"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["facade", "knockoff", "poisonjab", "protect", "stoneedge", "stormthrow", "wideguard"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sawk: {
		randomBattleMoves: ["bulkup", "closecombat", "knockoff", "poisonjab", "stoneedge"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["closecombat", "helpinghand", "knockoff", "poisonjab", "protect", "rockslide"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sewaddle: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swadloon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	leavanny: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	venipede: {
		tier: "LC",
	},
	whirlipede: {
		tier: "NFE",
	},
	scolipede: {
		randomBattleMoves: ["earthquake", "megahorn", "poisonjab", "protect", "spikes", "swordsdance", "toxicspikes"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["megahorn", "poisonjab", "protect", "rockslide", "superpower", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	cottonee: {
		tier: "LC",
	},
	whimsicott: {
		randomBattleMoves: ["defog", "energyball", "leechseed", "moonblast", "stunspore", "taunt", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["encore", "energyball", "helpinghand", "moonblast", "tailwind", "taunt"],
		randomDoubleBattleLevel: 82,
		randomBattleNoDynamaxMoves: ["defog", "encore", "energyball", "leechseed", "moonblast", "stunspore", "taunt", "uturn"],
		tier: "PU",
		doublesTier: "DOU",
	},
	petilil: {
		tier: "LC",
	},
	lilligant: {
		randomBattleMoves: ["gigadrain", "petaldance", "pollenpuff", "quiverdance", "sleeppowder"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["energyball", "pollenpuff", "quiverdance", "sleeppowder"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	basculin: {
		randomBattleMoves: ["aquajet", "crunch", "flipturn", "headsmash", "liquidation", "psychicfangs"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["flipturn", "headsmash", "icebeam", "liquidation", "muddywater", "protect", "psychicfangs", "superpower"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	basculinbluestriped: {
		randomBattleMoves: ["aquajet", "crunch", "flipturn", "headsmash", "liquidation", "psychicfangs"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["aquajet", "flipturn", "headsmash", "icebeam", "liquidation", "protect", "psychicfangs", "superpower"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sandile: {
		tier: "LC",
	},
	krokorok: {
		tier: "NFE",
	},
	krookodile: {
		randomBattleMoves: ["closecombat", "earthquake", "knockoff", "stealthrock", "stoneedge"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "highhorsepower", "knockoff", "protect", "rockslide", "taunt"],
		randomDoubleBattleLevel: 81,
		tier: "UU",
		doublesTier: "DUU",
	},
	darumaka: {
		tier: "LC",
	},
	darumakagalar: {
		tier: "LC",
	},
	darmanitan: {
		randomBattleMoves: ["earthquake", "flareblitz", "rockslide", "superpower", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["earthquake", "flareblitz", "rockslide", "superpower", "uturn"],
		randomDoubleBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	darmanitangalar: {
		randomBattleMoves: ["earthquake", "flareblitz", "iciclecrash", "superpower", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["earthquake", "flareblitz", "iciclecrash", "rockslide", "superpower", "uturn"],
		randomDoubleBattleLevel: 80,
		tier: "Uber",
		doublesTier: "(DUU)",
	},
	darmanitangalarzen: {
		randomBattleMoves: ["bellydrum", "earthquake", "firepunch", "iciclecrash", "substitute"],
		randomBattleLevel: 78,
	},
	maractus: {
		randomBattleMoves: ["energyball", "knockoff", "leechseed", "spikes", "spikyshield", "toxic"],
		randomBattleLevel: 92,
		randomDoubleBattleMoves: ["acupressure", "drainpunch", "helpinghand", "leafstorm", "spikyshield", "suckerpunch"],
		randomDoubleBattleLevel: 95,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	dwebble: {
		tier: "LC",
	},
	crustle: {
		randomBattleMoves: ["earthquake", "shellsmash", "spikes", "stealthrock", "stoneedge", "xscissor"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["knockoff", "protect", "rockslide", "shellsmash", "stompingtantrum", "xscissor"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	scraggy: {
		tier: "LC",
	},
	scrafty: {
		randomBattleMoves: ["closecombat", "dragondance", "icepunch", "knockoff", "poisonjab"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "coaching", "drainpunch", "fakeout", "icepunch", "knockoff"],
		randomDoubleBattleLevel: 84,
		tier: "PU",
		doublesTier: "DUU",
	},
	sigilyph: {
		randomBattleMoves: ["airslash", "defog", "energyball", "heatwave", "psychic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["airslash", "heatwave", "protect", "psychic", "tailwind"],
		randomDoubleBattleLevel: 86,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	yamask: {
		tier: "LC",
	},
	yamaskgalar: {
		tier: "LC",
	},
	cofagrigus: {
		randomBattleMoves: ["bodypress", "memento", "shadowball", "toxicspikes", "willowisp"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodypress", "irondefense", "painsplit", "shadowball", "trickroom", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	runerigus: {
		randomBattleMoves: ["earthquake", "haze", "poltergeist", "stealthrock", "toxicspikes", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["allyswitch", "earthquake", "poltergeist", "protect", "trickroom", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	tirtouga: {
		tier: "LC",
	},
	carracosta: {
		randomBattleMoves: ["aquajet", "hydropump", "shellsmash", "stoneedge", "superpower"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aquajet", "liquidation", "shellsmash", "stoneedge", "superpower"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	archen: {
		tier: "LC",
	},
	archeops: {
		randomBattleMoves: ["dualwingbeat", "earthquake", "roost", "stoneedge", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["aquatail", "dualwingbeat", "earthquake", "heatwave", "protect", "rockslide", "uturn"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	trubbish: {
		tier: "LC",
	},
	garbodor: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	garbodorgmax: {
		randomBattleMoves: ["explosion", "gunkshot", "painsplit", "spikes", "stompingtantrum", "toxicspikes"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["drainpunch", "explosion", "gunkshot", "protect", "toxicspikes"],
		randomDoubleBattleLevel: 90,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	zorua: {
		tier: "LC",
	},
	zoroark: {
		randomBattleMoves: ["darkpulse", "flamethrower", "nastyplot", "sludgebomb", "trick"],
		randomDoubleBattleMoves: ["darkpulse", "flamethrower", "focusblast", "nastyplot", "protect", "sludgebomb"],
		tier: "NU",
		doublesTier: "(DUU)",
	},
	minccino: {
		tier: "LC",
	},
	cinccino: {
		randomBattleMoves: ["bulletseed", "knockoff", "rockblast", "tailslap", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bulletseed", "knockoff", "protect", "rockblast", "tailslap", "tripleaxel", "uturn"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gothita: {
		tier: "NFE",
	},
	gothorita: {
		tier: "NFE",
	},
	gothitelle: {
		randomBattleMoves: ["nastyplot", "psychic", "shadowball", "thunderbolt", "trick"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["allyswitch", "fakeout", "healpulse", "helpinghand", "hypnosis", "protect", "psychic", "shadowball", "trickroom"],
		randomDoubleBattleLevel: 82,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	solosis: {
		tier: "LC",
	},
	duosion: {
		tier: "NFE",
	},
	reuniclus: {
		randomBattleMoves: ["calmmind", "focusblast", "psychic", "recover", "shadowball", "trickroom"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["focusblast", "protect", "psychic", "shadowball", "trickroom"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	ducklett: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	swanna: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	vanillite: {
		tier: "LC",
	},
	vanillish: {
		tier: "NFE",
	},
	vanilluxe: {
		randomBattleMoves: ["auroraveil", "blizzard", "explosion", "flashcannon", "freezedry"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["auroraveil", "blizzard", "freezedry", "iceshard", "protect"],
		randomDoubleBattleLevel: 82,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	deerling: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	sawsbuck: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	emolga: {
		randomBattleMoves: ["airslash", "defog", "energyball", "roost", "thunderbolt", "toxic", "uturn"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["acrobatics", "helpinghand", "nuzzle", "tailwind", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	karrablast: {
		tier: "LC",
	},
	escavalier: {
		randomBattleMoves: ["closecombat", "drillrun", "ironhead", "knockoff", "megahorn", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "drillrun", "ironhead", "knockoff", "megahorn", "protect", "swordsdance"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	foongus: {
		tier: "LC",
	},
	amoonguss: {
		randomBattleMoves: ["clearsmog", "gigadrain", "sludgebomb", "spore", "synthesis", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["clearsmog", "pollenpuff", "protect", "ragepowder", "spore"],
		randomDoubleBattleLevel: 81,
		tier: "UU",
		doublesTier: "DOU",
	},
	frillish: {
		tier: "LC",
	},
	jellicent: {
		randomBattleMoves: ["icebeam", "recover", "scald", "shadowball", "toxic", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["protect", "scald", "shadowball", "strengthsap", "trickroom", "willowisp"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	alomomola: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	joltik: {
		tier: "LC",
	},
	galvantula: {
		randomBattleMoves: ["bugbuzz", "gigadrain", "stickyweb", "thunder", "voltswitch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bugbuzz", "electroweb", "energyball", "protect", "stickyweb", "thunder"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	ferroseed: {
		tier: "LC",
	},
	ferrothorn: {
		randomBattleMoves: ["gyroball", "leechseed", "powerwhip", "protect", "spikes", "stealthrock", "knockoff"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["bodypress", "gyroball", "knockoff", "leechseed", "powerwhip", "protect", "toxic"],
		randomDoubleBattleLevel: 82,
		tier: "OU",
		doublesTier: "DUU",
	},
	klink: {
		tier: "LC",
	},
	klang: {
		tier: "NFE",
	},
	klinklang: {
		randomBattleMoves: ["geargrind", "shiftgear", "substitute", "wildcharge"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["geargrind", "protect", "shiftgear", "thunderwave", "wildcharge"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	tynamo: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	eelektrik: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	eelektross: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	elgyem: {
		tier: "LC",
	},
	beheeyem: {
		randomBattleMoves: ["psychic", "shadowball", "thunderbolt", "trick", "trickroom"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["protect", "psychic", "shadowball", "thunderbolt", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	litwick: {
		tier: "LC",
	},
	lampent: {
		tier: "NFE",
	},
	chandelure: {
		randomBattleMoves: ["calmmind", "energyball", "fireblast", "shadowball", "substitute", "trick"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["calmmind", "energyball", "heatwave", "overheat", "protect", "shadowball", "trick"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	axew: {
		tier: "LC",
	},
	fraxure: {
		tier: "NFE",
	},
	haxorus: {
		randomBattleMoves: ["closecombat", "dragondance", "earthquake", "outrage", "poisonjab"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "dragonclaw", "dragondance", "poisonjab", "protect"],
		randomDoubleBattleLevel: 84,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	cubchoo: {
		tier: "LC",
	},
	beartic: {
		randomBattleMoves: ["aquajet", "iciclecrash", "superpower", "swordsdance", "stoneedge"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["aquajet", "iciclecrash", "protect", "rockslide", "superpower", "swordsdance", "throatchop"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	cryogonal: {
		randomBattleMoves: ["freezedry", "haze", "rapidspin", "recover", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["freezedry", "icebeam", "icywind", "haze", "rapidspin", "recover", "toxic"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	shelmet: {
		tier: "LC",
	},
	accelgor: {
		randomBattleMoves: ["bugbuzz", "energyball", "focusblast", "sludgebomb", "spikes", "toxic", "yawn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["acidspray", "bugbuzz", "encore", "energyball", "focusblast"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["bugbuzz", "encore", "energyball", "focusblast", "spikes", "toxic"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	stunfisk: {
		randomBattleMoves: ["discharge", "earthpower", "foulplay", "sludgebomb", "stealthrock"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["earthpower", "electroweb", "foulplay", "muddywater", "stealthrock", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	stunfiskgalar: {
		randomBattleMoves: ["earthquake", "painsplit", "stealthrock", "stoneedge", "thunderwave"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["earthquake", "foulplay", "protect", "stealthrock", "stoneedge", "thunderwave"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	mienfoo: {
		tier: "LC",
	},
	mienshao: {
		randomBattleMoves: ["closecombat", "fakeout", "knockoff", "poisonjab", "swordsdance", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "fakeout", "knockoff", "poisonjab", "protect", "uturn"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	druddigon: {
		randomBattleMoves: ["earthquake", "glare", "outrage", "stealthrock", "suckerpunch", "superpower"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["firepunch", "glare", "gunkshot", "protect", "scaleshot", "suckerpunch"],
		randomDoubleBattleLevel: 87,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	golett: {
		tier: "LC",
	},
	golurk: {
		randomBattleMoves: ["dynamicpunch", "earthquake", "poltergeist", "rockpolish", "stoneedge"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["dynamicpunch", "earthquake", "highhorsepower", "icepunch", "poltergeist", "protect"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	pawniard: {
		tier: "LC",
	},
	bisharp: {
		randomBattleMoves: ["ironhead", "knockoff", "stealthrock", "suckerpunch", "swordsdance"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["brickbreak", "ironhead", "knockoff", "protect", "suckerpunch", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	bouffalant: {
		randomBattleMoves: ["closecombat", "earthquake", "headcharge", "megahorn", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "headcharge", "lashout", "protect", "wildcharge"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rufflet: {
		tier: "NFE",
	},
	braviary: {
		randomBattleMoves: ["bravebird", "bulkup", "closecombat", "retaliate", "roost", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bravebird", "closecombat", "protect", "roost", "tailwind"],
		randomDoubleBattleLevel: 82,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	vullaby: {
		tier: "LC",
	},
	mandibuzz: {
		randomBattleMoves: ["bravebird", "defog", "foulplay", "roost", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["foulplay", "roost", "snarl", "tailwind", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	heatmor: {
		randomBattleMoves: ["firelash", "gigadrain", "knockoff", "substitute", "suckerpunch", "superpower"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["firelash", "gigadrain", "incinerate", "protect", "rocktomb", "suckerpunch", "superpower", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	durant: {
		randomBattleMoves: ["firstimpression", "honeclaws", "ironhead", "rockslide", "superpower"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["firstimpression", "ironhead", "protect", "rockslide", "superpower", "xscissor"],
		randomDoubleBattleLevel: 82,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	deino: {
		tier: "LC",
	},
	zweilous: {
		tier: "NFE",
	},
	hydreigon: {
		randomBattleMoves: ["darkpulse", "dracometeor", "fireblast", "flashcannon", "nastyplot", "roost", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["darkpulse", "dracometeor", "dragonpulse", "earthpower", "fireblast", "nastyplot", "protect", "tailwind"],
		randomDoubleBattleLevel: 84,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	larvesta: {
		tier: "LC",
	},
	volcarona: {
		randomBattleMoves: ["bugbuzz", "fireblast", "gigadrain", "quiverdance", "roost"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["bugbuzz", "gigadrain", "heatwave", "hurricane", "protect", "quiverdance"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DUU",
	},
	cobalion: {
		randomBattleMoves: ["closecombat", "ironhead", "stealthrock", "stoneedge", "swordsdance", "voltswitch"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "ironhead", "protect", "stoneedge", "swordsdance", "thunderwave"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	terrakion: {
		randomBattleMoves: ["closecombat", "earthquake", "quickattack", "stoneedge", "swordsdance"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "protect", "rockslide", "swordsdance"],
		randomDoubleBattleLevel: 80,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	virizion: {
		randomBattleMoves: ["airslash", "closecombat", "leafblade", "leafstorm", "stoneedge", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "coaching", "leafblade", "protect", "stoneedge", "swordsdance"],
		randomDoubleBattleLevel: 86,
		randomBattleNoDynamaxMoves: ["closecombat", "leafblade", "stoneedge", "swordsdance"],
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	tornadus: {
		randomBattleMoves: ["defog", "grassknot", "heatwave", "hurricane", "nastyplot"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["heatwave", "hurricane", "nastyplot", "superpower", "tailwind", "taunt"],
		randomDoubleBattleLevel: 80,
		tier: "NUBL",
		doublesTier: "DUU",
	},
	tornadustherian: {
		randomBattleMoves: ["defog", "hurricane", "knockoff", "superpower", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["heatwave", "hurricane", "knockoff", "nastyplot", "protect"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	thundurus: {
		randomBattleMoves: ["grassknot", "knockoff", "nastyplot", "sludgewave", "superpower", "thunderbolt", "thunderwave"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["grassknot", "knockoff", "nastyplot", "protect", "sludgebomb", "thunderbolt", "thunderwave"],
		randomDoubleBattleLevel: 82,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	thundurustherian: {
		randomBattleMoves: ["grassknot", "focusblast", "nastyplot", "psychic", "thunderbolt", "voltswitch"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["agility", "focusblast", "grassknot", "nastyplot", "sludgebomb", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	reshiram: {
		randomBattleMoves: ["blueflare", "defog", "dracometeor", "dragonpulse", "earthpower", "roost", "stoneedge"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["blueflare", "dracometeor", "earthpower", "heatwave", "roost", "tailwind"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	zekrom: {
		randomBattleMoves: ["boltstrike", "dragondance", "outrage", "roost"],
		randomBattleLevel: 70,
		randomDoubleBattleMoves: ["boltstrike", "dragonclaw", "dragondance", "roost"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	landorus: {
		randomBattleMoves: ["earthpower", "focusblast", "knockoff", "rockpolish", "rockslide", "sludgewave", "stealthrock"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["calmmind", "earthpower", "focusblast", "protect", "psychic", "sludgebomb"],
		randomDoubleBattleLevel: 80,
		tier: "Uber",
		doublesTier: "DOU",
	},
	landorustherian: {
		randomBattleMoves: ["earthquake", "fly", "stealthrock", "stoneedge", "swordsdance", "uturn"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["earthquake", "fly", "knockoff", "stoneedge", "swordsdance", "uturn"],
		randomDoubleBattleLevel: 76,
		randomBattleNoDynamaxMoves: ["earthquake", "knockoff", "stealthrock", "stoneedge", "swordsdance", "uturn"],
		tier: "OU",
		doublesTier: "DOU",
	},
	kyurem: {
		randomBattleMoves: ["dracometeor", "earthpower", "freezedry", "icebeam", "roost", "substitute"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["dracometeor", "earthpower", "freezedry", "glaciate", "protect", "roost"],
		randomDoubleBattleLevel: 78,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	kyuremblack: {
		randomBattleMoves: ["dragondance", "fusionbolt", "iciclespear", "outrage"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dragonclaw", "dragondance", "fusionbolt", "iciclespear", "protect", "roost"],
		randomDoubleBattleLevel: 75,
		tier: "Uber",
		doublesTier: "DOU",
	},
	kyuremwhite: {
		randomBattleMoves: ["dracometeor", "earthpower", "freezedry", "fusionflare", "icebeam", "roost"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dracometeor", "dragonpulse", "earthpower", "freezedry", "fusionflare", "icebeam", "protect", "roost"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	keldeo: {
		randomDoubleBattleMoves: ["airslash", "calmmind", "icywind", "muddywater", "protect", "secretsword"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	keldeoresolute: {
		randomBattleMoves: ["airslash", "calmmind", "hydropump", "icywind", "scald", "secretsword", "substitute"],
		randomBattleLevel: 80,
	},
	meloetta: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	meloettapirouette: {
		isNonstandard: "Past",
	},
	genesect: {
		randomBattleMoves: ["blazekick", "extremespeed", "leechlife", "ironhead", "shiftgear", "thunderbolt", "uturn"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["blazekick", "ironhead", "leechlife", "protect", "shiftgear", "thunderbolt", "uturn"],
		randomDoubleBattleLevel: 78,
		tier: "Uber",
		doublesTier: "DOU",
	},
	genesectburn: {
		tier: "Uber",
		doublesTier: "(DOU)",
	},
	genesectchill: {
		tier: "Uber",
		doublesTier: "(DOU)",
	},
	genesectdouse: {
		randomBattleMoves: ["bugbuzz", "extremespeed", "flamethrower", "icebeam", "ironhead", "technoblast", "thunderbolt", "uturn"],
		randomBattleLevel: 74,
		tier: "Uber",
		doublesTier: "(DOU)",
	},
	genesectshock: {
		tier: "Uber",
		doublesTier: "(DOU)",
	},
	chespin: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	quilladin: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	chesnaught: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	fennekin: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	braixen: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	delphox: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	froakie: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	frogadier: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	greninja: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	greninjaash: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bunnelby: {
		tier: "LC",
	},
	diggersby: {
		randomBattleMoves: ["bodyslam", "earthquake", "knockoff", "quickattack", "swordsdance", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bodyslam", "highhorsepower", "knockoff", "protect", "quickattack", "swordsdance", "uturn"],
		randomDoubleBattleLevel: 86,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	fletchling: {
		tier: "LC",
	},
	fletchinder: {
		tier: "NFE",
	},
	talonflame: {
		randomBattleMoves: ["bravebird", "defog", "flareblitz", "roost", "swordsdance", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bravebird", "defog", "incinerate", "overheat", "roost", "tailwind", "u-turn", "willowisp"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	scatterbug: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	spewpa: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	vivillon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	vivillonfancy: {
		isNonstandard: "Past",
	},
	vivillonpokeball: {
		isNonstandard: "Past",
	},
	litleo: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pyroar: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	flabebe: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	floette: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	floetteeternal: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	florges: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	skiddo: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gogoat: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	pancham: {
		tier: "LC",
	},
	pangoro: {
		randomBattleMoves: ["closecombat", "knockoff", "gunkshot", "icepunch", "partingshot"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bulletpunch", "closecombat", "drainpunch", "gunkshot", "icepunch", "knockoff", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	furfrou: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	espurr: {
		tier: "LC",
	},
	meowstic: {
		randomBattleMoves: ["lightscreen", "psychic", "reflect", "thunderwave", "yawn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["fakeout", "lightscreen", "psychic", "reflect", "thunderwave"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	meowsticf: {
		randomBattleMoves: ["energyball", "nastyplot", "psychic", "shadowball", "thunderbolt"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fakeout", "nastyplot", "psychic", "shadowball", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	honedge: {
		tier: "LC",
	},
	doublade: {
		randomBattleMoves: ["closecombat", "ironhead", "shadowclaw", "shadowsneak", "swordsdance"],
		randomBattleLevel: 82,
		tier: "RU",
		doublesTier: "NFE",
	},
	aegislash: {
		randomBattleMoves: ["closecombat", "flashcannon", "kingsshield", "shadowball", "shadowsneak", "substitute", "toxic"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["flashcannon", "kingsshield", "shadowball", "shadowsneak"],
		randomDoubleBattleLevel: 84,
		tier: "UU",
		doublesTier: "DUU",
	},
	aegislashblade: {
		randomBattleMoves: ["closecombat", "ironhead", "shadowclaw", "shadowsneak", "swordsdance"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["closecombat", "ironhead", "kingsshield", "shadowclaw", "shadowsneak", "swordsdance"],
		randomDoubleBattleLevel: 84,
	},
	spritzee: {
		tier: "LC",
	},
	aromatisse: {
		randomBattleMoves: ["calmmind", "moonblast", "protect", "toxic", "wish"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["healpulse", "moonblast", "protect", "thunderbolt", "trickroom", "wish"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	swirlix: {
		tier: "NFE",
	},
	slurpuff: {
		randomBattleMoves: ["bellydrum", "drainpunch", "facade", "playrough"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["faketears", "flamethrower", "helpinghand", "playrough", "stickyweb"],
		randomDoubleBattleLevel: 84,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	inkay: {
		tier: "LC",
	},
	malamar: {
		randomBattleMoves: ["knockoff", "psychocut", "rest", "sleeptalk", "substitute", "superpower"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["knockoff", "psychocut", "rest", "superpower"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	binacle: {
		tier: "LC",
	},
	barbaracle: {
		randomBattleMoves: ["crosschop", "earthquake", "liquidation", "shellsmash", "stoneedge"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["liquidation", "protect", "rockslide", "shellsmash", "superpower"],
		randomDoubleBattleLevel: 84,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	skrelp: {
		tier: "LC",
	},
	dragalge: {
		randomBattleMoves: ["dracometeor", "dragonpulse", "flipturn", "focusblast", "sludgewave", "toxicspikes"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dracometeor", "dragonpulse", "focusblast", "protect", "sludgebomb"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	clauncher: {
		tier: "LC",
	},
	clawitzer: {
		randomBattleMoves: ["aurasphere", "darkpulse", "icebeam", "scald", "uturn", "waterpulse"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aurasphere", "darkpulse", "icebeam", "muddywater", "uturn"],
		randomDoubleBattleLevel: 84,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	helioptile: {
		tier: "LC",
	},
	heliolisk: {
		randomBattleMoves: ["glare", "grassknot", "hypervoice", "surf", "thunderbolt", "voltswitch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["glare", "grassknot", "hypervoice", "protect", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	tyrunt: {
		tier: "LC",
	},
	tyrantrum: {
		randomBattleMoves: ["closecombat", "dragondance", "earthquake", "headsmash", "outrage"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "dragonclaw", "dragondance", "headsmash", "highhorsepower"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	amaura: {
		tier: "LC",
	},
	aurorus: {
		randomBattleMoves: ["ancientpower", "blizzard", "earthpower", "freezedry", "stealthrock", "thunderwave"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["auroraveil", "blizzard", "earthpower", "freezedry", "protect", "thunderwave"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	hawlucha: {
		randomBattleMoves: ["bravebird", "closecombat", "roost", "stoneedge", "swordsdance", "throatchop"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bravebird", "closecombat", "protect", "swordsdance", "throatchop"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	dedenne: {
		randomBattleMoves: ["protect", "recycle", "thunderbolt", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["eerieimpulse", "helpinghand", "nuzzle", "recycle", "superfang", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	carbink: {
		randomBattleMoves: ["bodypress", "lightscreen", "moonblast", "reflect", "stealthrock"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bodypress", "irondefense", "moonblast", "stealthrock"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	goomy: {
		tier: "LC",
	},
	sliggoo: {
		tier: "NFE",
	},
	goodra: {
		randomBattleMoves: ["dracometeor", "earthquake", "fireblast", "powerwhip", "sludgebomb", "thunderbolt"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["breakingswipe", "dracometeor", "fireblast", "muddywater", "powerwhip", "protect", "sludgebomb", "thunderbolt"],
		randomDoubleBattleLevel: 85,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	klefki: {
		randomBattleMoves: ["foulplay", "magnetrise", "playrough", "spikes", "thunderwave", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["dazzlinggleam", "foulplay", "spikes", "thunderwave"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	phantump: {
		tier: "LC",
	},
	trevenant: {
		randomBattleMoves: ["earthquake", "hornleech", "poltergeist", "rockslide", "trickroom", "woodhammer"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["allyswitch", "poltergeist", "rockslide", "trickroom", "willowisp", "woodhammer"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pumpkaboo: {
		tier: "LC",
	},
	pumpkaboosmall: {
		tier: "LC",
	},
	pumpkaboolarge: {
		tier: "LC",
	},
	pumpkaboosuper: {
		tier: "LC",
	},
	gourgeist: {
		randomBattleMoves: ["poltergeist", "powerwhip", "shadowsneak", "synthesis", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["leechseed", "poltergeist", "powerwhip", "substitute", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gourgeistsmall: {
		randomBattleMoves: ["leechseed", "poltergeist", "powerwhip", "substitute", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["leechseed", "poltergeist", "powerwhip", "substitute", "willowisp"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gourgeistlarge: {
		randomBattleMoves: ["poltergeist", "powerwhip", "shadowsneak", "synthesis", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["poltergeist", "powerwhip", "protect", "shadowsneak", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gourgeistsuper: {
		randomBattleMoves: ["poltergeist", "powerwhip", "rockslide", "shadowsneak", "trickroom"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["poltergeist", "powerwhip", "protect", "shadowsneak", "trickroom"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	bergmite: {
		tier: "LC",
	},
	avalugg: {
		randomBattleMoves: ["avalanche", "bodypress", "curse", "rapidspin", "recover"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["avalanche", "bodypress", "curse", "highhorsepower", "protect", "recover"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	noibat: {
		tier: "LC",
	},
	noivern: {
		randomBattleMoves: ["defog", "dracometeor", "flamethrower", "hurricane", "roost", "switcheroo"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["boomburst", "dracometeor", "flamethrower", "hurricane", "protect", "tailwind"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	xerneas: {
		randomBattleMoves: ["focusblast", "geomancy", "moonblast", "psyshock", "thunderbolt"],
		randomBattleLevel: 67,
		randomDoubleBattleMoves: ["dazzlinggleam", "focusblast", "geomancy", "moonblast", "thunderbolt"],
		randomDoubleBattleLevel: 70,
		tier: "Uber",
		doublesTier: "DUber",
	},
	xerneasneutral: {
		isNonstandard: "Custom", // can't be used in battle
		tier: "Illegal",
	},
	yveltal: {
		randomBattleMoves: ["defog", "heatwave", "knockoff", "oblivionwing", "roost", "suckerpunch", "darkpulse"],
		randomBattleLevel: 69,
		randomDoubleBattleMoves: ["darkpulse", "heatwave", "knockoff", "oblivionwing", "roost", "suckerpunch", "tailwind", "uturn"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	zygarde: {
		randomBattleMoves: ["dragondance", "outrage", "substitute", "thousandarrows"],
		randomBattleLevel: 70,
		randomDoubleBattleMoves: ["coil", "dragondance", "extremespeed", "glare", "irontail", "thousandarrows"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DOU",
	},
	zygarde10: {
		randomBattleMoves: ["coil", "extremespeed", "irontail", "outrage", "thousandarrows"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["dragondance", "extremespeed", "irontail", "protect", "rockslide", "thousandarrows"],
		randomDoubleBattleLevel: 76,
		tier: "RUBL",
		doublesTier: "(DUU)",
	},
	zygardecomplete: {
		tier: "Uber",
		doublesTier: "DUber",
	},
	diancie: {
		randomBattleMoves: ["bodypress", "diamondstorm", "earthpower", "moonblast", "stealthrock", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodypress", "diamondstorm", "earthpower", "moonblast"],
		randomDoubleBattleLevel: 80,
		tier: "NU",
		doublesTier: "DOU",
	},
	dianciemega: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hoopa: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	hoopaunbound: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	volcanion: {
		randomBattleMoves: ["defog", "earthpower", "flamethrower", "sludgebomb", "steameruption"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["earthpower", "heatwave", "protect", "sludgebomb", "steameruption"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "DOU",
	},
	rowlet: {
		tier: "LC",
	},
	dartrix: {
		tier: "NFE",
	},
	decidueye: {
		randomBattleMoves: ["bravebird", "leafblade", "roost", "shadowsneak", "swordsdance", "poltergeist"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["bravebird", "leafblade", "protect", "shadowsneak", "spiritshackle", "swordsdance"],
		randomDoubleBattleLevel: 88,
		randomBattleNoDynamaxMoves: ["leafblade", "roost", "shadowsneak", "spiritshackle", "swordsdance", "uturn"],
		tier: "NU",
		doublesTier: "(DUU)",
	},
	litten: {
		tier: "LC",
	},
	torracat: {
		tier: "NFE",
	},
	incineroar: {
		randomBattleMoves: ["earthquake", "flareblitz", "knockoff", "partingshot", "uturn", "willowisp"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["fakeout", "flareblitz", "knockoff", "partingshot", "snarl"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "DOU",
	},
	popplio: {
		tier: "LC",
	},
	brionne: {
		tier: "NFE",
	},
	primarina: {
		randomBattleMoves: ["energyball", "hydropump", "moonblast", "psychic", "sparklingaria"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["dazzlinggleam", "flipturn", "hypervoice", "moonblast", "protect", "psychic"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "DUU",
	},
	pikipek: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	trumbeak: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	toucannon: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	yungoos: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gumshoos: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	gumshoostotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	grubbin: {
		tier: "LC",
	},
	charjabug: {
		tier: "NFE",
	},
	vikavolt: {
		randomBattleMoves: ["bugbuzz", "energyball", "roost", "stickyweb", "thunderbolt", "voltswitch"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bugbuzz", "energyball", "protect", "stickyweb", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	vikavolttotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	crabrawler: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	crabominable: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	oricorio: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	oricoriopompom: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	oricoriopau: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	oricoriosensu: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	cutiefly: {
		tier: "NFE",
	},
	ribombee: {
		randomBattleMoves: ["moonblast", "psychic", "stickyweb", "stunspore", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["helpinghand", "moonblast", "pollenpuff", "speedswap", "stickyweb", "tailwind"],
		randomDoubleBattleLevel: 84,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	ribombeetotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	rockruff: {
		tier: "LC",
	},
	rockruffdusk: {
		tier: "LC",
	},
	lycanroc: {
		randomBattleMoves: ["accelerock", "closecombat", "psychicfangs", "stoneedge", "swordsdance"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["accelerock", "closecombat", "drillrun", "protect", "rockslide", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	lycanrocmidnight: {
		randomBattleMoves: ["closecombat", "irontail", "stealthrock", "stoneedge", "suckerpunch", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "irontail", "protect", "stoneedge", "suckerpunch", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	lycanrocdusk: {
		randomBattleMoves: ["accelerock", "closecombat", "psychicfangs", "stoneedge", "swordsdance"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["accelerock", "closecombat", "drillrun", "protect", "rockslide", "swordsdance"],
		randomDoubleBattleLevel: 80,
		tier: "UU",
		doublesTier: "(DUU)",
	},
	wishiwashi: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	wishiwashischool: {
		randomBattleMoves: ["earthquake", "hydropump", "icebeam", "scald", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["earthquake", "helpinghand", "hydropump", "icebeam", "muddywater", "protect"],
		randomDoubleBattleLevel: 88,
	},
	mareanie: {
		tier: "LC",
	},
	toxapex: {
		randomBattleMoves: ["banefulbunker", "haze", "recover", "scald", "toxic", "toxicspikes"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["banefulbunker", "haze", "recover", "scald", "toxic", "toxicspikes"],
		randomDoubleBattleLevel: 90,
		tier: "OU",
		doublesTier: "(DUU)",
	},
	mudbray: {
		tier: "LC",
	},
	mudsdale: {
		randomBattleMoves: ["bodypress", "earthquake", "heavyslam", "rockslide", "stealthrock"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bodypress", "heavyslam", "highhorsepower", "protect", "rest", "rocktomb"],
		randomDoubleBattleLevel: 86,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	dewpider: {
		tier: "LC",
	},
	araquanid: {
		randomBattleMoves: ["liquidation", "leechlife", "mirrorcoat", "stickyweb", "toxic"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["leechlife", "liquidation", "lunge", "protect", "stickyweb", "wideguard"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	araquanidtotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	fomantis: {
		tier: "LC",
	},
	lurantis: {
		randomBattleMoves: ["defog", "knockoff", "leafstorm", "superpower", "synthesis"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["defog", "knockoff", "leafstorm", "protect", "superpower"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	lurantistotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	morelull: {
		tier: "LC",
	},
	shiinotic: {
		randomBattleMoves: ["energyball", "leechseed", "moonblast", "spore", "strengthsap"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["energyball", "moonblast", "protect", "spore", "strengthsap"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	salandit: {
		tier: "LC",
	},
	salazzle: {
		randomBattleMoves: ["flamethrower", "protect", "substitute", "toxic"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["encore", "fakeout", "fireblast", "nastyplot", "protect", "sludgebomb"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	salazzletotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	stufful: {
		tier: "LC",
	},
	bewear: {
		randomBattleMoves: ["closecombat", "darkestlariat", "doubleedge", "icepunch", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "darkestlariat", "doubleedge", "drainpunch", "highhorsepower", "icepunch", "protect", "wideguard"],
		randomDoubleBattleLevel: 88,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	bounsweet: {
		tier: "LC",
	},
	steenee: {
		tier: "NFE",
	},
	tsareena: {
		randomBattleMoves: ["highjumpkick", "knockoff", "playrough", "powerwhip", "rapidspin", "synthesis", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["highjumpkick", "knockoff", "playrough", "powerwhip", "rapidspin", "tripleaxel", "uturn"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "DOU",
	},
	comfey: {
		randomBattleMoves: ["calmmind", "drainingkiss", "gigadrain", "storedpower", "trick", "uturn"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["defog", "drainingkiss", "floralhealing", "gigadrain", "helpinghand", "protect"],
		randomDoubleBattleLevel: 89,
		tier: "NU",
		doublesTier: "DOU",
	},
	oranguru: {
		randomBattleMoves: ["focusblast", "nastyplot", "psychic", "thunderbolt", "trickroom"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["allyswitch", "focusblast", "instruct", "protect", "psychic", "trickroom"],
		randomDoubleBattleLevel: 87,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	passimian: {
		randomBattleMoves: ["closecombat", "earthquake", "gunkshot", "knockoff", "rockslide", "uturn"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "gunkshot", "knockoff", "rockslide", "uturn"],
		randomDoubleBattleLevel: 86,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	wimpod: {
		tier: "LC",
	},
	golisopod: {
		randomBattleMoves: ["firstimpression", "knockoff", "leechlife", "liquidation", "spikes"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["aquajet", "closecombat", "firstimpression", "knockoff", "leechlife", "liquidation", "protect", "wideguard"],
		randomDoubleBattleLevel: 88,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	sandygast: {
		tier: "LC",
	},
	palossand: {
		randomBattleMoves: ["earthpower", "scorchingsands", "shadowball", "shoreup", "stealthrock", "toxic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["hypnosis", "protect", "scorchingsands", "shadowball", "shoreup", "stealthrock"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	pyukumuku: {
		randomBattleMoves: ["counter", "mirrorcoat", "recover", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["helpinghand", "lightscreen", "memento", "reflect"],
		randomDoubleBattleLevel: 100,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	typenull: {
		randomBattleMoves: ["crushclaw", "payback", "rest", "sleeptalk", "swordsdance"],
		randomBattleLevel: 86,
		tier: "NFE",
	},
	silvally: {
		randomBattleMoves: ["crunch", "explosion", "flamecharge", "flamethrower", "multiattack", "swordsdance", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["crunch", "explosion", "flamethrower", "multiattack", "protect", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallybug: {
		randomBattleMoves: ["flamethrower", "multiattack", "partingshot", "psychicfangs", "thunderbolt"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "psychicfangs", "tailwind", "uturn"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallydark: {
		randomBattleMoves: ["ironhead", "multiattack", "partingshot", "psychicfangs", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["ironhead", "multiattack", "psychicfangs", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallydragon: {
		randomBattleMoves: ["flamecharge", "ironhead", "multiattack", "partingshot", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["firefang", "ironhead", "multiattack", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyelectric: {
		randomBattleMoves: ["flamethrower", "icebeam", "multiattack", "partingshot", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "grasspledge", "icebeam", "multiattack", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyfairy: {
		randomBattleMoves: ["firefang", "multiattack", "psychicfangs", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "partingshot", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	silvallyfighting: {
		randomBattleMoves: ["crunch", "ironhead", "multiattack", "swordsdance", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["crunch", "multiattack", "rockslide", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyfire: {
		randomBattleMoves: ["crunch", "ironhead", "multiattack", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["heatwave", "icebeam", "multiattack", "tailwind", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyflying: {
		randomBattleMoves: ["firefang", "ironhead", "multiattack", "rockslide", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["firefang", "ironhead", "multiattack", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 86,
		randomBattleNoDynamaxMoves: ["flamecharge", "ironhead", "multiattack", "rockslide", "swordsdance"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyghost: {
		randomBattleMoves: ["multiattack", "partingshot", "swordsdance", "xscissor"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["multiattack", "swordsdance", "tailwind", "xscissor"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallygrass: {
		randomBattleMoves: ["defog", "flamethrower", "icebeam", "multiattack", "partingshot"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "icebeam", "multiattack", "partingshot", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyground: {
		randomBattleMoves: ["defog", "flamethrower", "icebeam", "multiattack", "partingshot", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["multiattack", "rockslide", "swordsdance", "tailwind"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyice: {
		randomBattleMoves: ["flamecharge", "multiattack", "psychicfangs", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "partingshot", "tailwind", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallypoison: {
		randomBattleMoves: ["defog", "flamethrower", "grasspledge", "multiattack", "partingshot", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "grasspledge", "multiattack", "partingshot", "snarl", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallypsychic: {
		randomBattleMoves: ["crunch", "multiattack", "swordsdance", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "partingshot", "tailwind", "xscissor"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallyrock: {
		randomBattleMoves: ["flamecharge", "multiattack", "partingshot", "psychicfangs", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "partingshot", "psychicfangs", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	silvallysteel: {
		randomBattleMoves: ["defog", "flamethrower", "multiattack", "partingshot", "thunderbolt", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["flamethrower", "multiattack", "partingshot", "tailwind", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	silvallywater: {
		randomBattleMoves: ["defog", "icebeam", "multiattack", "partingshot", "thunderbolt", "toxic"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["icebeam", "multiattack", "partingshot", "tailwind", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	minior: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	miniormeteor: {
		isNonstandard: "Past",
	},
	komala: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	turtonator: {
		randomBattleMoves: ["bodypress", "dracometeor", "earthquake", "fireblast", "rapidspin", "shellsmash", "willowisp"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["dragonpulse", "fireblast", "protect", "scorchingsands", "shellsmash"],
		randomDoubleBattleLevel: 84,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	togedemaru: {
		randomBattleMoves: ["ironhead", "nuzzle", "spikyshield", "uturn", "wish", "zingzap"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["encore", "fakeout", "ironhead", "nuzzle", "spikyshield", "zingzap"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	togedemarutotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mimikyu: {
		randomBattleMoves: ["drainpunch", "playrough", "shadowclaw", "shadowsneak", "swordsdance"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["playrough", "protect", "shadowclaw", "shadowsneak", "swordsdance"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	mimikyutotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	mimikyubustedtotem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	bruxish: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	drampa: {
		randomBattleMoves: ["dracometeor", "fireblast", "glare", "hypervoice", "roost", "thunderbolt"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dracometeor", "dragonpulse", "glare", "heatwave", "hurricane", "hypervoice", "protect", "roost"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	dhelmise: {
		randomBattleMoves: ["anchorshot", "earthquake", "poltergeist", "powerwhip", "rapidspin", "swordsdance"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["anchorshot", "knockoff", "poltergeist", "powerwhip", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	jangmoo: {
		tier: "LC",
	},
	hakamoo: {
		tier: "NFE",
	},
	kommoo: {
		randomBattleMoves: ["clangingscales", "clangoroussoul", "closecombat", "poisonjab", "stealthrock"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bodypress", "dracometeor", "irondefense", "protect"],
		randomDoubleBattleLevel: 80,
		tier: "UU",
		doublesTier: "DUU",
	},
	kommoototem: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	tapukoko: {
		randomBattleMoves: ["calmmind", "dazzlinggleam", "grassknot", "substitute", "thunderbolt", "voltswitch"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["bravebird", "dazzlinggleam", "grassknot", "taunt", "thunderbolt", "uturn"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	tapulele: {
		randomBattleMoves: ["calmmind", "focusblast", "moonblast", "psychic", "psyshock", "shadowball"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["calmmind", "dazzlinggleam", "focusblast", "moonblast", "protect", "psyshock"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	tapubulu: {
		randomBattleMoves: ["closecombat", "hornleech", "megahorn", "stoneedge", "swordsdance", "woodhammer"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "highhorsepower", "hornleech", "protect", "stoneedge", "swordsdance", "woodhammer"],
		randomDoubleBattleLevel: 81,
		tier: "UU",
		doublesTier: "DUU",
	},
	tapufini: {
		randomBattleMoves: ["calmmind", "defog", "moonblast", "surf", "taunt"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["haze", "healpulse", "moonblast", "muddywater", "naturesmadness", "protect", "taunt"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	cosmog: {
		tier: "LC",
	},
	cosmoem: {
		tier: "NFE",
	},
	solgaleo: {
		randomBattleMoves: ["closecombat", "flareblitz", "knockoff", "psychicfangs", "sunsteelstrike"],
		randomBattleLevel: 73,
		randomDoubleBattleMoves: ["closecombat", "flareblitz", "morningsun", "protect", "psychicfangs", "stoneedge", "sunsteelstrike"],
		randomDoubleBattleLevel: 76,
		tier: "Uber",
		doublesTier: "DUber",
	},
	lunala: {
		randomBattleMoves: ["calmmind", "moonblast", "moongeistbeam", "psyshock", "roost"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["calmmind", "moonblast", "moongeistbeam", "protect", "psyshock", "roost"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	nihilego: {
		randomBattleMoves: ["grassknot", "powergem", "sludgewave", "stealthrock", "thunderbolt", "toxicspikes"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["grassknot", "meteorbeam", "protect", "sludgebomb", "thunderbolt"],
		randomDoubleBattleLevel: 82,
		tier: "UU",
		doublesTier: "DOU",
	},
	buzzwole: {
		randomBattleMoves: ["closecombat", "darkestlariat", "dualwingbeat", "ironhead", "leechlife", "stoneedge"],
		randomBattleLevel: 77,
		randomDoubleBattleMoves: ["closecombat", "darkestlariat", "dualwingbeat", "ironhead", "leechlife", "stoneedge"],
		randomDoubleBattleLevel: 80,
		randomBattleNoDynamaxMoves: ["bulkup", "closecombat", "darkestlariat", "leechlife", "poisonjab", "roost", "stoneedge"],
		tier: "UU",
		doublesTier: "(DUU)",
	},
	pheromosa: {
		randomBattleMoves: ["closecombat", "icebeam", "poisonjab", "throatchop", "uturn"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["closecombat", "icebeam", "poisonjab", "protect", "throatchop", "uturn"],
		randomDoubleBattleLevel: 78,
		tier: "Uber",
		doublesTier: "(DUU)",
	},
	xurkitree: {
		randomBattleMoves: ["dazzlinggleam", "energyball", "hypnosis", "thunderbolt", "voltswitch"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["dazzlinggleam", "energyball", "thunderbolt", "voltswitch"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	celesteela: {
		randomBattleMoves: ["airslash", "autotomize", "earthquake", "fireblast", "flashcannon", "leechseed", "protect"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["airslash", "autotomize", "earthquake", "fireblast", "flashcannon"],
		randomDoubleBattleLevel: 78,
		randomBattleNoDynamaxMoves: ["airslash", "earthquake", "fireblast", "heavyslam", "leechseed", "protect"],
		tier: "UU",
		doublesTier: "DOU",
	},
	kartana: {
		randomBattleMoves: ["knockoff", "leafblade", "sacredsword", "smartstrike", "swordsdance"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["knockoff", "leafblade", "sacredsword", "smartstrike", "swordsdance"],
		randomDoubleBattleLevel: 78,
		tier: "OU",
		doublesTier: "DOU",
	},
	guzzlord: {
		randomBattleMoves: ["darkpulse", "dracometeor", "fireblast", "knockoff", "sludgebomb"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["dracometeor", "fireblast", "knockoff", "protect", "sludgebomb"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	necrozma: {
		randomBattleMoves: ["calmmind", "heatwave", "moonlight", "photongeyser", "stealthrock"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["calmmind", "earthpower", "heatwave", "moonlight", "photongeyser", "protect"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "DOU",
	},
	necrozmaduskmane: {
		randomBattleMoves: ["dragondance", "earthquake", "morningsun", "photongeyser", "sunsteelstrike"],
		randomBattleLevel: 68,
		randomDoubleBattleMoves: ["dragondance", "photongeyser", "protect", "sunsteelstrike"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	necrozmadawnwings: {
		randomBattleMoves: ["calmmind", "heatwave", "moongeistbeam", "photongeyser", "stealthrock"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["heatwave", "moongeistbeam", "photongeyser", "protect", "thunderwave"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	necrozmaultra: {
		isNonstandard: "Past",
		tier: "Illegal",
	},
	magearna: {
		randomBattleMoves: ["agility", "calmmind", "flashcannon", "fleurcannon"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["agility", "aurasphere", "dazzlinggleam", "flashcannon", "fleurcannon", "protect", "trick"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	magearnaoriginal: {
		randomBattleMoves: ["agility", "calmmind", "flashcannon", "fleurcannon"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["agility", "aurasphere", "dazzlinggleam", "flashcannon", "fleurcannon", "protect", "trick"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	marshadow: {
		randomBattleMoves: ["bulkup", "closecombat", "icepunch", "rocktomb", "shadowsneak", "spectralthief"],
		randomBattleLevel: 70,
		randomDoubleBattleMoves: ["closecombat", "protect", "rocktomb", "shadowsneak", "spectralthief"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	poipole: {
		tier: "NFE",
	},
	naganadel: {
		randomBattleMoves: ["airslash", "dracometeor", "fireblast", "nastyplot", "sludgewave"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["dracometeor", "flamethrower", "nastyplot", "sludgebomb", "uturn"],
		randomDoubleBattleLevel: 76,
		randomBattleNoDynamaxMoves: ["dracometeor", "fireblast", "nastyplot", "sludgewave", "uturn"],
		tier: "Uber",
		doublesTier: "DUU",
	},
	stakataka: {
		randomBattleMoves: ["bodypress", "earthquake", "gyroball", "stealthrock", "stoneedge", "trickroom"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["bodypress", "gyroball", "highhorsepower", "rockslide", "trickroom"],
		randomDoubleBattleLevel: 82,
		tier: "RU",
		doublesTier: "DOU",
	},
	blacephalon: {
		randomBattleMoves: ["calmmind", "fireblast", "psyshock", "shadowball", "trick"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["fireblast", "protect", "psyshock", "shadowball", "trick"],
		randomDoubleBattleLevel: 80,
		tier: "UUBL",
		doublesTier: "(DUU)",
	},
	zeraora: {
		randomBattleMoves: ["bulkup", "closecombat", "grassknot", "knockoff", "plasmafists", "playrough", "voltswitch"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["closecombat", "fakeout", "grassknot", "knockoff", "plasmafists", "playrough", "snarl"],
		randomDoubleBattleLevel: 78,
		tier: "OU",
		doublesTier: "DOU",
	},
	meltan: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	melmetal: {
		randomBattleMoves: ["doubleironbash", "earthquake", "thunderwave", "superpower", "thunderpunch"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["acidarmor", "bodypress", "doubleironbash", "protect", "thunderpunch", "thunderwave"],
		randomDoubleBattleLevel: 76,
		tier: "OU",
		doublesTier: "DUber",
	},
	melmetalgmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	grookey: {
		tier: "LC",
	},
	thwackey: {
		tier: "NFE",
	},
	rillaboom: {
		randomBattleMoves: ["grassyglide", "highhorsepower", "knockoff", "uturn", "woodhammer"],
		randomBattleLevel: 77,
		randomDoubleBattleMoves: ["fakeout", "grassyglide", "highhorsepower", "protect", "uturn", "woodhammer"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	rillaboomgmax: {
		randomBattleMoves: ["acrobatics", "grassyglide", "highhorsepower", "knockoff", "swordsdance"],
		randomBattleLevel: 78,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	scorbunny: {
		tier: "LC",
	},
	raboot: {
		tier: "NFE",
	},
	cinderace: {
		randomBattleMoves: ["courtchange", "gunkshot", "highjumpkick", "pyroball", "uturn", "zenheadbutt"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["courtchange", "gunkshot", "highjumpkick", "protect", "pyroball", "suckerpunch", "uturn"],
		randomDoubleBattleLevel: 80,
		tier: "Uber",
		doublesTier: "(DUU)",
	},
	cinderacegmax: {
		randomBattleLevel: 76,
		randomBattleMoves: ["bulkup", "pyroball", "highjumpkick", "suckerpunch"],
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	sobble: {
		tier: "LC",
	},
	drizzile: {
		tier: "NFE",
	},
	inteleon: {
		randomBattleMoves: ["airslash", "darkpulse", "hydropump", "icebeam", "scald", "uturn"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["airslash", "hydropump", "icebeam", "muddywater", "shadowball", "uturn"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	inteleongmax: {
		randomBattleMoves: ["airslash", "focusenergy", "icebeam", "surf"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["focusenergy", "hydropump", "icebeam", "muddywater"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	skwovet: {
		tier: "LC",
	},
	greedent: {
		randomBattleMoves: ["bodyslam", "earthquake", "firefang", "payback", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bodyslam", "crunch", "gyroball", "protect", "stompingtantrum", "swordsdance"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rookidee: {
		tier: "LC",
	},
	corvisquire: {
		tier: "NFE",
	},
	corviknight: {
		randomBattleMoves: ["bodypress", "bravebird", "bulkup", "defog", "roost"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["bodypress", "bravebird", "bulkup", "ironhead", "roost", "tailwind"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DUU",
	},
	corviknightgmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	blipbug: {
		tier: "LC",
	},
	dottler: {
		tier: "NFE",
	},
	orbeetle: {
		randomBattleMoves: ["bodypress", "bugbuzz", "calmmind", "psychic", "recover", "stickyweb", "uturn"],
		randomBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	orbeetlegmax: {
		randomDoubleBattleMoves: ["helpinghand", "hypnosis", "lightscreen", "psychic", "reflect", "stickyweb", "strugglebug"],
		randomDoubleBattleLevel: 88,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	nickit: {
		tier: "LC",
	},
	thievul: {
		randomBattleMoves: ["darkpulse", "foulplay", "grassknot", "nastyplot", "partingshot", "psychic"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["faketears", "foulplay", "partingshot", "snarl", "taunt"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	gossifleur: {
		tier: "LC",
	},
	eldegoss: {
		randomBattleMoves: ["charm", "energyball", "leechseed", "pollenpuff", "rapidspin", "sleeppowder"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["charm", "energyball", "helpinghand", "pollenpuff", "protect", "sleeppowder"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	wooloo: {
		tier: "LC",
	},
	dubwool: {
		randomBattleMoves: ["bodypress", "cottonguard", "rest", "sleeptalk"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["doubleedge", "protect", "swordsdance", "thunderwave", "wildcharge", "zenheadbutt"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	chewtle: {
		tier: "LC",
	},
	drednaw: {
		randomBattleMoves: ["liquidation", "stealthrock", "stoneedge", "superpower", "swordsdance"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["highhorsepower", "liquidation", "protect", "rockslide", "superpower", "swordsdance"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["liquidation", "raindance", "stealthrock", "stoneedge", "superpower"],
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	drednawgmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	yamper: {
		tier: "LC",
	},
	boltund: {
		randomBattleMoves: ["bulkup", "crunch", "firefang", "playrough", "psychicfangs", "thunderfang", "voltswitch"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["crunch", "firefang", "nuzzle", "playrough", "protect", "psychicfangs", "snarl", "thunderfang"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	rolycoly: {
		tier: "LC",
	},
	carkol: {
		tier: "NFE",
	},
	coalossal: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	coalossalgmax: {
		randomBattleMoves: ["overheat", "rapidspin", "spikes", "stealthrock", "stoneedge", "willowisp"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["fireblast", "incinerate", "protect", "stealthrock", "stoneedge", "willowisp"],
		randomDoubleBattleLevel: 85,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	applin: {
		tier: "LC",
	},
	flapple: {
		randomBattleMoves: ["dragondance", "gravapple", "outrage", "suckerpunch", "uturn"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["acrobatics", "dragondance", "dragonrush", "gravapple", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	flapplegmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	appletun: {
		randomBattleMoves: ["appleacid", "dragonpulse", "leechseed", "recover"],
		randomBattleLevel: 90,
		randomDoubleBattleMoves: ["appleacid", "dragonpulse", "leechseed", "protect", "recover"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	appletungmax: {
		randomBattleMoves: ["appleacid", "dracometeor", "leechseed", "recover"],
		randomBattleLevel: 90,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	silicobra: {
		tier: "LC",
	},
	sandaconda: {
		randomBattleMoves: ["coil", "earthquake", "glare", "stealthrock", "stoneedge", "rest"],
		randomBattleLevel: 84,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	sandacondagmax: {
		randomDoubleBattleMoves: ["coil", "glare", "highhorsepower", "protect", "stoneedge"],
		randomDoubleBattleLevel: 86,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	cramorant: {
		randomBattleMoves: ["bravebird", "defog", "roost", "superpower", "surf"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["hurricane", "icebeam", "protect", "roost", "surf", "tailwind"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	arrokuda: {
		tier: "LC",
	},
	barraskewda: {
		randomBattleMoves: ["closecombat", "crunch", "liquidation", "poisonjab", "psychicfangs"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["closecombat", "crunch", "drillrun", "flipturn", "liquidation", "poisonjab"],
		randomDoubleBattleLevel: 84,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	toxel: {
		tier: "LC",
	},
	toxtricity: {
		randomBattleMoves: ["boomburst", "overdrive", "shiftgear", "sludgewave", "voltswitch"],
		randomBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	toxtricitylowkey: {
		randomBattleMoves: ["boomburst", "overdrive", "sludgewave", "voltswitch"],
		randomBattleLevel: 82,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	toxtricitygmax: {
		randomDoubleBattleMoves: ["boomburst", "overdrive", "shiftgear", "sludgebomb", "snarl", "voltswitch"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	toxtricitylowkeygmax: {
		randomDoubleBattleMoves: ["boomburst", "overdrive", "sludgebomb", "snarl", "voltswitch"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	sizzlipede: {
		tier: "LC",
	},
	centiskorch: {
		randomBattleMoves: ["coil", "firelash", "knockoff", "leechlife", "powerwhip"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["coil", "firelash", "knockoff", "leechlife", "powerwhip", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	centiskorchgmax: {
		randomDoubleBattleMoves: ["coil", "firelash", "knockoff", "leechlife", "powerwhip", "protect"],
		randomDoubleBattleLevel: 88,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	clobbopus: {
		tier: "LC",
	},
	grapploct: {
		randomBattleMoves: ["brutalswing", "bulkup", "drainpunch", "icepunch", "suckerpunch"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["closecombat", "coaching", "drainpunch", "icepunch", "octolock", "payback", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	sinistea: {
		tier: "LC",
	},
	polteageist: {
		randomBattleMoves: ["gigadrain", "shadowball", "shellsmash", "storedpower", "strengthsap"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["gigadrain", "protect", "shadowball", "shellsmash", "storedpower"],
		randomDoubleBattleLevel: 84,
		tier: "NUBL",
		doublesTier: "(DUU)",
	},
	hatenna: {
		tier: "LC",
	},
	hattrem: {
		tier: "NFE",
	},
	hatterene: {
		tier: "UU",
		doublesTier: "DOU",
	},
	hatterenegmax: {
		randomBattleMoves: ["calmmind", "dazzlinggleam", "mysticalfire", "psychic", "psyshock", "trickroom"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dazzlinggleam", "mysticalfire", "protect", "psychic", "trickroom"],
		randomDoubleBattleLevel: 80,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	impidimp: {
		tier: "LC",
	},
	morgrem: {
		tier: "NFE",
	},
	grimmsnarl: {
		randomBattleMoves: ["lightscreen", "reflect", "spiritbreak", "taunt", "thunderwave"],
		randomBattleLevel: 82,
		tier: "UU",
		doublesTier: "DUU",
	},
	grimmsnarlgmax: {
		randomBattleMoves: ["bulkup", "darkestlariat", "playrough", "rest", "suckerpunch", "trick"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["darkestlariat", "fakeout", "lightscreen", "reflect", "spiritbreak", "taunt", "thunderwave"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	milcery: {
		tier: "LC",
	},
	alcremie: {
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	alcremiegmax: {
		randomBattleMoves: ["calmmind", "dazzlinggleam", "mysticalfire", "psychic", "recover"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["dazzlinggleam", "decorate", "mysticalfire", "protect", "recover"],
		randomDoubleBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	falinks: {
		randomBattleMoves: ["closecombat", "noretreat", "poisonjab", "rockslide", "throatchop"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["closecombat", "noretreat", "poisonjab", "rockslide", "throatchop"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	pincurchin: {
		randomBattleMoves: ["risingvoltage", "scald", "spikes", "suckerpunch", "toxicspikes"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["acupressure", "protect", "risingvoltage", "scald", "suckerpunch"],
		randomDoubleBattleLevel: 90,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	snom: {
		tier: "LC",
	},
	frosmoth: {
		randomBattleMoves: ["bugbuzz", "gigadrain", "hurricane", "icebeam", "quiverdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bugbuzz", "gigadrain", "hurricane", "icebeam", "protect", "quiverdance", "wideguard"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	stonjourner: {
		randomBattleMoves: ["earthquake", "heatcrash", "rockpolish", "stealthrock", "stoneedge"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["bodypress", "heatcrash", "heavyslam", "protect", "rockpolish", "stoneedge", "wideguard"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	eiscue: {
		randomBattleMoves: ["bellydrum", "iciclecrash", "liquidation", "substitute", "zenheadbutt"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["bellydrum", "iciclecrash", "liquidation", "protect", "zenheadbutt"],
		randomDoubleBattleLevel: 86,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	indeedee: {
		randomBattleMoves: ["calmmind", "expandingforce", "hypervoice", "mysticalfire", "trick"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["encore", "expandingforce", "hypervoice", "mysticalfire", "protect", "trick"],
		randomDoubleBattleLevel: 80,
		tier: "NUBL",
		doublesTier: "DUU",
	},
	indeedeef: {
		randomBattleMoves: ["calmmind", "expandingforce", "healingwish", "hypervoice", "mysticalfire"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["expandingforce", "followme", "healpulse", "helpinghand", "protect"],
		randomDoubleBattleLevel: 80,
		tier: "PUBL",
		doublesTier: "DOU",
	},
	morpeko: {
		randomBattleMoves: ["aurawheel", "foulplay", "partingshot", "protect", "psychicfangs", "rapidspin"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["aurawheel", "fakeout", "partingshot", "protect", "rapidspin", "superfang"],
		randomDoubleBattleLevel: 88,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	cufant: {
		tier: "LC",
	},
	copperajah: {
		randomBattleMoves: ["earthquake", "ironhead", "playrough", "rockslide", "stealthrock"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["heatcrash", "highhorsepower", "ironhead", "playrough", "powerwhip", "protect", "stoneedge"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	copperajahgmax: {
		randomBattleMoves: ["earthquake", "heatcrash", "heavyslam", "powerwhip", "stoneedge"],
		randomBattleLevel: 84,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	dracozolt: {
		randomBattleMoves: ["aerialace", "boltbeak", "earthquake", "lowkick", "outrage"],
		randomBattleLevel: 79,
		randomDoubleBattleMoves: ["aerialace", "boltbeak", "dragonclaw", "highhorsepower", "rockslide"],
		randomDoubleBattleLevel: 82,
		randomBattleNoDynamaxMoves: ["boltbeak", "dragonclaw", "earthquake", "outrage"],
		tier: "UUBL",
		doublesTier: "DUU",
	},
	arctozolt: {
		randomBattleMoves: ["boltbeak", "freezedry", "iciclecrash", "stompingtantrum", "thunderwave"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["blizzard", "boltbeak", "iciclecrash", "lowkick", "protect"],
		randomDoubleBattleLevel: 88,
		tier: "NU",
		doublesTier: "(DUU)",
	},
	dracovish: {
		randomBattleMoves: ["crunch", "fishiousrend", "icefang", "lowkick", "psychicfangs"],
		randomBattleLevel: 80,
		randomDoubleBattleMoves: ["crunch", "dragonrush", "fishiousrend", "icefang", "psychicfangs"],
		randomDoubleBattleLevel: 80,
		tier: "Uber",
		doublesTier: "DOU",
	},
	arctovish: {
		randomBattleMoves: ["bodyslam", "fishiousrend", "freezedry", "iciclecrash", "psychicfangs"],
		randomBattleLevel: 86,
		randomDoubleBattleMoves: ["blizzard", "fishiousrend", "iciclecrash", "protect", "superfang"],
		randomDoubleBattleLevel: 88,
		tier: "PU",
		doublesTier: "(DUU)",
	},
	duraludon: {
		randomBattleMoves: ["bodypress", "dracometeor", "flashcannon", "stealthrock", "thunderbolt"],
		randomBattleLevel: 84,
		randomDoubleBattleMoves: ["bodypress", "dracometeor", "dragonpulse", "flashcannon", "protect", "snarl", "thunderbolt"],
		randomDoubleBattleLevel: 88,
		tier: "PUBL",
		doublesTier: "(DUU)",
	},
	duraludongmax: {
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	dreepy: {
		tier: "LC",
	},
	drakloak: {
		tier: "NFE",
	},
	dragapult: {
		randomBattleMoves: ["dracometeor", "fireblast", "shadowball", "thunderbolt", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["dragondarts", "fireblast", "protect", "shadowball", "thunderbolt", "willowisp"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	zacian: {
		randomBattleMoves: ["closecombat", "crunch", "playrough", "psychicfangs", "swordsdance"],
		randomBattleLevel: 68,
		randomDoubleBattleMoves: ["closecombat", "crunch", "playrough", "protect", "psychicfangs", "swordsdance"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	zaciancrowned: {
		randomBattleMoves: ["behemothblade", "closecombat", "crunch", "playrough", "psychicfangs", "swordsdance"],
		randomBattleLevel: 62,
		randomDoubleBattleMoves: ["behemothblade", "closecombat", "playrough", "protect", "psychicfangs", "swordsdance"],
		randomDoubleBattleLevel: 65,
		tier: "AG",
		doublesTier: "DUber",
	},
	zamazenta: {
		randomBattleMoves: ["closecombat", "crunch", "psychicfangs", "wildcharge"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["closecombat", "crunch", "playrough", "protect", "psychicfangs"],
		randomDoubleBattleLevel: 74,
		tier: "Uber",
		doublesTier: "DUber",
	},
	zamazentacrowned: {
		randomBattleMoves: ["behemothbash", "closecombat", "crunch", "psychicfangs", "howl"],
		randomBattleLevel: 71,
		randomDoubleBattleMoves: ["behemothbash", "closecombat", "crunch", "howl", "protect", "psychicfangs"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	eternatus: {
		randomBattleMoves: ["dynamaxcannon", "flamethrower", "recover", "sludgewave", "toxic"],
		randomBattleLevel: 69,
		randomDoubleBattleMoves: ["cosmicpower", "dynamaxcannon", "flamethrower", "recover"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	eternatuseternamax: {
		isNonstandard: "Unobtainable",
		tier: "Illegal",
	},
	kubfu: {
		tier: "NFE",
	},
	urshifu: {
		randomBattleMoves: ["closecombat", "ironhead", "suckerpunch", "uturn", "wickedblow"],
		randomBattleLevel: 76,
		randomDoubleBattleMoves: ["closecombat", "ironhead", "protect", "suckerpunch", "wickedblow"],
		randomDoubleBattleLevel: 76,
		tier: "Uber",
		doublesTier: "DUber",
	},
	urshifurapidstrike: {
		randomBattleMoves: ["bulkup", "drainpunch", "substitute", "surgingstrikes"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["aquajet", "closecombat", "poisonjab", "protect", "surgingstrikes", "uturn"],
		randomDoubleBattleLevel: 80,
		tier: "OU",
		doublesTier: "DOU",
	},
	urshifugmax: {
		randomBattleMoves: ["bulkup", "drainpunch", "substitute", "wickedblow"],
		randomBattleLevel: 76,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	urshifurapidstrikegmax: {
		randomBattleMoves: ["bulkup", "closecombat", "surgingstrikes", "thunderpunch", "uturn"],
		randomBattleLevel: 78,
		isNonstandard: "Gigantamax",
		tier: "AG",
		doublesTier: "(DUber)",
	},
	zarude: {
		randomBattleMoves: ["bulkup", "closecombat", "darkestlariat", "junglehealing", "powerwhip", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "darkestlariat", "junglehealing", "powerwhip", "protect", "rockslide"],
		randomDoubleBattleLevel: 80,
		tier: "RU",
		doublesTier: "(DUU)",
	},
	zarudedada: {
		randomBattleMoves: ["bulkup", "closecombat", "darkestlariat", "junglehealing", "powerwhip", "uturn"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["closecombat", "darkestlariat", "junglehealing", "powerwhip", "protect", "rockslide"],
		randomDoubleBattleLevel: 80,
	},
	regieleki: {
		randomBattleMoves: ["explosion", "substitute", "thunderbolt", "voltswitch"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["electroweb", "extremespeed", "protect", "thundercage", "voltswitch"],
		randomDoubleBattleLevel: 84,
		randomBattleNoDynamaxMoves: ["explosion", "rapidspin", "thunderbolt", "voltswitch"],
		tier: "OU",
		doublesTier: "DOU",
	},
	regidrago: {
		randomBattleMoves: ["dracometeor", "dragondance", "hammerarm", "outrage", "firefang"],
		randomBattleLevel: 78,
		randomDoubleBattleMoves: ["crunch", "dragonclaw", "dragonenergy", "firefang"],
		randomDoubleBattleLevel: 78,
		tier: "RU",
		doublesTier: "DUU",
	},
	glastrier: {
		randomBattleMoves: ["closecombat", "highhorsepower", "iciclecrash", "swordsdance"],
		randomBattleLevel: 82,
		randomDoubleBattleMoves: ["closecombat", "highhorsepower", "iciclecrash", "protect"],
		randomDoubleBattleLevel: 84,
		tier: "NU",
		doublesTier: "DOU",
	},
	spectrier: {
		randomBattleMoves: ["darkpulse", "nastyplot", "shadowball", "substitute"],
		randomBattleLevel: 74,
		randomDoubleBattleMoves: ["darkpulse", "nastyplot", "protect", "shadowball"],
		randomDoubleBattleLevel: 78,
		tier: "Uber",
		doublesTier: "DUU",
	},
	calyrex: {
		randomBattleMoves: ["calmmind", "gigadrain", "psyshock", "substitute", "leechseed"],
		randomBattleLevel: 88,
		randomDoubleBattleMoves: ["encore", "helpinghand", "leafstorm", "pollenpuff", "protect"],
		randomDoubleBattleLevel: 94,
		tier: "(PU)",
		doublesTier: "(DUU)",
	},
	calyrexice: {
		randomBattleMoves: ["closecombat", "glaciallance", "highhorsepower", "trickroom", "agility"],
		randomBattleLevel: 72,
		randomDoubleBattleMoves: ["closecombat", "glaciallance", "highhorsepower", "swordsdance", "trickroom"],
		randomDoubleBattleLevel: 72,
		tier: "Uber",
		doublesTier: "DUber",
	},
	calyrexshadow: {
		randomBattleMoves: ["astralbarrage", "nastyplot", "pollenpuff", "psyshock", "substitute", "trick"],
		randomBattleLevel: 65,
		randomDoubleBattleMoves: ["astralbarrage", "nastyplot", "pollenpuff", "protect", "psyshock"],
		randomDoubleBattleLevel: 68,
		tier: "Uber",
		doublesTier: "DUber",
	},
	missingno: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	syclar: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	syclant: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	revenankh: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	embirch: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	flarelm: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	pyroak: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	breezi: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	fidgit: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	rebble: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	tactite: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	stratagem: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	privatyke: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	arghonaut: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	kitsunoh: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	cyclohm: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	colossoil: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	krilowatt: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	voodoll: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	voodoom: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	scratchet: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	tomohawk: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	necturine: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	necturna: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	mollux: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	cupra: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	argalis: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	aurumoth: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	brattler: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	malaconda: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	cawdet: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	cawmodore: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	volkritter: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	volkraken: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	snugglow: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	plasmanta: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	floatoy: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	caimanoe: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	naviathan: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	crucibelle: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	crucibellemega: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	pluffle: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	kerfluffle: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	pajantom: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	mumbao: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	jumbao: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	fawnifer: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	electrelk: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	caribolt: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	smogecko: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	smoguana: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	smokomodo: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	swirlpool: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	coribalis: {
		isNonstandard: "CAP",
		tier: "CAP NFE",
	},
	snaelstrom: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	justyke: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	equilibra: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	solotl: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	astrolotl: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	miasmite: {
		isNonstandard: "CAP",
		tier: "CAP LC",
	},
	miasmaw: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	chromera: {
		isNonstandard: "CAP",
		tier: "CAP",
	},
	pokestarsmeargle: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarufo: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarufo2: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarbrycenman: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarmt: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarmt2: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestartransport: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestargiant: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestargiant2: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarhumanoid: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarmonster: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarf00: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarf002: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarspirit: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarblackdoor: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarwhitedoor: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarblackbelt: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestargiantpropo2: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
	pokestarufopropu2: {
		isNonstandard: "Custom",
		tier: "Illegal",
	},
};
